Index: waeup_product/trunk/__init__.py
===================================================================
--- waeup_product/trunk/__init__.py	(revision 204)
+++ waeup_product/trunk/__init__.py	(revision 205)
@@ -1,5 +1,5 @@
 #-*- mode: python; mode: fold -*-
 # $Id$
-from Products.CMFCore.utils import ContentInit, ToolInit
+#from Products.CMFCore.utils import ContentInit, ToolInit
 from Products.CMFCore.DirectoryView import registerDirectory
 from Products.CMFCore import utils as cmfutils
@@ -100,86 +100,2 @@
         for_=ICPSSite)
 
-
-##import University ###(
-##import Students
-##import Accommodation
-##import Faculty
-##import Widgets
-##import WAeUPPermissions
-##import WAeUPTool
-##
-##tools = (
-##    WAeUPTool.WAeUPTool,
-##)
-##
-##fti = (Students.student_fti,
-##       Students.studentdocuments_fti,
-##       Students.studentpersonal_fti,
-##       Students.studenteligibility_fti,
-##       Students.jamb_fti,
-##       Students.study_level_fti,
-##       Students.semester_fti,
-##       Accommodation.accofolder_fti,
-##       Accommodation.accommodation_fti,
-##       Faculty.faculty_fti,
-##       Faculty.department_fti,
-##       Faculty.course_fti,
-##       Faculty.course_ticket_fti,
-##      )
-##
-##contentClasses = (University.University,
-##                  Students.StudentsFolder,
-##                  Students.Student,
-##                  Students.StudentDocuments,
-##                  Students.StudentPersonal,
-##                  Students.StudentEligibility,
-##                  Students.Jamb,
-##                  Students.StudyLevel,
-##                  Students.Semester,
-##                  Accommodation.AccoFolder,
-##                  Accommodation.Accommodation,
-##                  Faculty.Faculty,
-##                  Faculty.Department,
-##                  Faculty.Course,
-##                  Faculty.CourseTicket,
-##                 )
-##
-##contentConstructors = (University.addUniversity,
-##                       Students.addStudentsFolder,
-##                       Students.addStudent,
-##                       Students.addStudentDocuments,
-##                       Students.addStudentPersonal,
-##                       Students.addStudentEligibility,
-##                       Students.addJamb,
-##                       Students.addStudyLevel,
-##                       Students.addSemester,
-##                       Accommodation.addAccommodation,
-##                       Accommodation.addAccoFolder,
-##                       Faculty.addFaculty,
-##                       Faculty.addDepartment,
-##                       Faculty.addCourse,
-##                       Faculty.addCourseTicket,
-##                       )
-##
-##def initialize(context):
-##    ToolInit(
-##        'WAeUP Tool',
-##        tools = tools,
-##        icon = 'tool.png',
-##    ).initialize(context)
-##
-##    ContentInit(
-##        'WAeUP Contenttypes',
-##        content_types=contentClasses,
-##        permission=AddPortalContent,
-##        extra_constructors=contentConstructors,
-##        fti=fti,
-##        
-##    ).initialize(context)
-##        
-##    context.registerClass(WAeUPTool.WAeUPTool,
-##                          constructors=(WAeUPTool.addWAeUPToolForm,
-##                          WAeUPTool.addWAeUPTool,))
-
-###)
-
Index: waeup_product/trunk/doc/userdescriptions.txt
===================================================================
--- waeup_product/trunk/doc/userdescriptions.txt	(revision 204)
+++ waeup_product/trunk/doc/userdescriptions.txt	(revision 205)
@@ -3,7 +3,7 @@
 ================
 
+
 Accommodation
 =============
-
 HOSTEL ALLOCATION SLIP
 ----------------------
@@ -145,5 +145,6 @@
 allocated as follows
 
- a) Bed Spaces A & B in halls one, two, three & four are meant for Final Year Students only
+ a) Bed Spaces A & B in halls one, two, three & four are meant for Final 
+    Year Students only
 
  b) Bed Space C in Hall One is strictly meant for Returning Students 
@@ -151,5 +152,6 @@
  c) Bed Spaces D,E & F in Hall One are meant to be allocated to fresh students
 
- d) In Halls Two, Three and Four, Bed Spaces C & D are for Returning Students and E,F,G & H are for Fresh Students
+ d) In Halls Two, Three and Four, Bed Spaces C & D are for Returning Students 
+    and E,F,G & H are for Fresh Students
 
 
Index: waeup_product/trunk/profiles/default/layouts/accommodation.xml
===================================================================
--- waeup_product/trunk/profiles/default/layouts/accommodation.xml	(revision 204)
+++ waeup_product/trunk/profiles/default/layouts/accommodation.xml	(revision 205)
@@ -23,4 +23,37 @@
   <property name="label_edit">Assigned Beds</property>
   <property name="help">List of beds already assigned to students</property>
+ </widget>
+ <widget name="beds_for_final" meta_type="MultiSelect Widget">
+  <property name="fields"/>
+  <property name="is_required">True</property>
+  <property name="label">Bedspaces for final</property>
+  <property name="label_edit">Bedspaces for final</property>
+  <property name="help">Name the bedspaces for final year students</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">waeup_bed_letters</property>
+ </widget>
+ <widget name="beds_for_fresh" meta_type="MultiSelect Widget">
+  <property name="fields"/>
+  <property name="is_required">True</property>
+  <property name="label">Bedspaces for final</property>
+  <property name="label_edit">Bedspaces for final</property>
+  <property name="help">Name the bedspaces for final year students</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">waeup_bed_letters</property>
+ </widget>
+ <widget name="beds_for_returning" meta_type="MultiSelect Widget">
+  <property name="fields"/>
+  <property name="is_required">True</property>
+  <property name="label">Bedspaces for final</property>
+  <property name="label_edit">Bedspaces for final</property>
+  <property name="help">Name the bedspaces for final year students</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">waeup_bed_letters</property>
  </widget>
  <widget name="beds_per_room" meta_type="Select Widget">
@@ -114,8 +147,11 @@
   </row>
   <row>
-   <cell name="beds_assigned"/>
+   <cell name="beds_for_fresh"/>
   </row>
   <row>
-   <cell name="beds_assigned_list"/>
+   <cell name="beds_for_returning"/>
+  </row>
+  <row>
+   <cell name="beds_for_final"/>
   </row>
  </table>
Index: waeup_product/trunk/profiles/default/schemas/accommodation.xml
===================================================================
--- waeup_product/trunk/profiles/default/schemas/accommodation.xml	(revision 204)
+++ waeup_product/trunk/profiles/default/schemas/accommodation.xml	(revision 205)
@@ -3,4 +3,7 @@
  <field name="beds_assigned" meta_type="CPS Int Field"/>
  <field name="beds_assigned_list" meta_type="CPS String List Field"/>
+ <field name="beds_for_final" meta_type="CPS String List Field"/>
+ <field name="beds_for_fresh" meta_type="CPS String List Field"/>
+ <field name="beds_for_returning" meta_type="CPS String List Field"/>
  <field name="beds_per_room" meta_type="CPS Int Field"/>
  <field name="heading" meta_type="CPS String Field">
@@ -10,4 +13,5 @@
  <field name="nr_of_floors" meta_type="CPS Int Field"/>
  <field name="rooms_per_floor" meta_type="CPS Int Field"/>
+ <field name="study_courses" meta_type="CPS String List Field"/>
  <field name="text" meta_type="CPS String Field">
   <property name="is_searchabletext">True</property>
Index: waeup_product/trunk/profiles/default/toolset.xml
===================================================================
--- waeup_product/trunk/profiles/default/toolset.xml	(revision 204)
+++ 	(revision )
@@ -1,5 +1,0 @@
-<?xml version="1.0"?>
-<tool-setup>
- <required tool_id="portal_waeup"
-           class="Products.WAeUP.tool.WAeUPTool"/>
-</tool-setup>
Index: waeup_product/trunk/profiles/default/vocabularies.xml
===================================================================
--- waeup_product/trunk/profiles/default/vocabularies.xml	(revision 204)
+++ waeup_product/trunk/profiles/default/vocabularies.xml	(revision 205)
@@ -3,37 +3,8 @@
  <property name="title"></property>
  <object name="courselevel" meta_type="CPS Vocabulary"/>
- <object name="cpsportlets_additem_display_voc" meta_type="CPS Vocabulary"/>
- <object name="cpsportlets_bcs_display_voc" meta_type="CPS Vocabulary"/>
- <object name="cpsportlets_content_portal_types_voc"
-    meta_type="CPS Method Vocabulary"/>
- <object name="cpsportlets_content_search_voc" meta_type="CPS Vocabulary"/>
- <object name="cpsportlets_content_sort_on_voc" meta_type="CPS Vocabulary"/>
- <object name="cpsportlets_language_action_voc" meta_type="CPS Vocabulary"/>
- <object name="cpsportlets_navigation_display_voc"
-    meta_type="CPS Vocabulary"/>
- <object name="cpsportlets_rss_channels_voc"
-    meta_type="CPS Method Vocabulary"/>
- <object name="cpsportlets_syndication_formats_voc"
-    meta_type="CPS Vocabulary"/>
- <object name="cpsportlets_visibility_range_voc" meta_type="CPS Vocabulary"/>
- <object name="dummy_voc" meta_type="CPS Vocabulary"/>
  <object name="faculties" meta_type="CPS Vocabulary"/>
- <object name="forum_tree_voc" meta_type="CPS Vocabulary"/>
- <object name="forum_wf_display_voc" meta_type="CPS Vocabulary"/>
  <object name="get_departments_voc" meta_type="CPS Method Vocabulary"/>
  <object name="get_faculties_voc" meta_type="CPS Method Vocabulary"/>
- <object name="global_roles" meta_type="CPS Vocabulary"/>
- <object name="groups" meta_type="CPS Directory Vocabulary"/>
- <object name="language_voc" meta_type="CPS Vocabulary"/>
- <object name="members" meta_type="CPS Directory Vocabulary"/>
- <object name="navigation_display_mode" meta_type="CPS Vocabulary"/>
- <object name="navigation_filter_listing_ptypes"
-    meta_type="CPS Method Vocabulary"/>
- <object name="navigation_filter_review_state" meta_type="CPS Vocabulary"/>
- <object name="navigation_filter_tree_ptypes"
-    meta_type="CPS Method Vocabulary"/>
- <object name="navigation_sort_direction" meta_type="CPS Vocabulary"/>
- <object name="navigation_sort_listing_by" meta_type="CPS Vocabulary"/>
- <object name="navigation_sort_tree_by" meta_type="CPS Vocabulary"/>
+ <object name="waeup_bed_letters" meta_type="CPS Vocabulary"/>
  <object name="nigerian_states" meta_type="CPS Vocabulary"/>
  <object name="range10" meta_type="CPS Vocabulary"/>
@@ -41,8 +12,3 @@
  <object name="range5" meta_type="CPS Vocabulary"/>
  <object name="range50" meta_type="CPS Vocabulary"/>
- <object name="roles" meta_type="CPS Directory Vocabulary"/>
- <object name="search_portal_type_voc" meta_type="CPS Method Vocabulary"/>
- <object name="search_review_state_voc" meta_type="CPS Method Vocabulary"/>
- <object name="search_sort_results_by" meta_type="CPS Vocabulary"/>
- <object name="subject_voc" meta_type="CPS Vocabulary"/>
-</object>
+ </object>
Index: waeup_product/trunk/skins/waeup_student/create_jamb.py
===================================================================
--- waeup_product/trunk/skins/waeup_student/create_jamb.py	(revision 204)
+++ waeup_product/trunk/skins/waeup_student/create_jamb.py	(revision 205)
@@ -52,10 +52,10 @@
     try:
         #pr.addMember(s_id, 'UnSeT',roles=('Member','CPSMember','Student','Contributor'))
-        pr.addMember(s_id, '123456',roles=('Member','CPSMember','Student'))
+        pr.addMember(s_id, '123456',roles=('Member','CPSMember','Contributor'))
     except:
         noCPSMember = True
     if noCPSMember:
-        #pr.addMember(s_id, 'UnSeT',roles=('Member','Student','Contributor'))
-        pr.addMember(s_id, '123456',roles=('Member','Student'))
+        #pr.addMember(s_id, 'UnSeT',roles=('Member','Student','Contributor',))
+        pr.addMember(s_id, '123456',roles=('Member','Contributor',))
     student.manage_setLocalRoles(s_id, ['Owner',])
     jamb.manage_setLocalRoles(s_id, ['Owner',])
Index: waeup_product/trunk/tool.py
===================================================================
--- waeup_product/trunk/tool.py	(revision 204)
+++ 	(revision )
@@ -1,320 +1,0 @@
-#-*- mode: python; mode: fold -*-
-# (C) Copyright 2005 The WAeUP group  <http://www.waeup.org>
-# Author: Joachim Schmitz (js@aixtraware.de)
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as published
-# by the Free Software Foundation.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
-# 02111-1307, USA.
-#
-# $Id: WAeUPTool.py 197 2006-02-08 12:47:31Z joachim $
-"""The WAeUPTool.
-"""
-
-from zope.interface import implements
-
-from zLOG import LOG, DEBUG
-from Globals import InitializeClass, HTMLFile
-from AccessControl import ClassSecurityInfo
-from OFS.Folder import Folder
-
-from Products.CPSInstaller.CPSInstaller import CPSInstaller
-from Products.CMFCore.PortalFolder import PortalFolder
-from Products.CMFCore.permissions import View, ManagePortal
-
-from OFS.SimpleItem import SimpleItem
-from OFS.PropertyManager import PropertyManager
-from Products.CMFCore.utils import UniqueObject
-from Products.CMFCore.ActionProviderBase import ActionProviderBase
-
-from interfaces import IWAeUPTool
-
-
-##class WAeUPTool(UniqueObject,PortalFolder):
-class WAeUPTool(UniqueObject, SimpleItem, ActionProviderBase, PropertyManager):
-    """WAeUP tool"""
-    
-    implements(IWAeUPTool)
-
-    id = 'portal_waeup'
-    meta_type = 'WAeUP Tool'
-
-##    security = ClassSecurityInfo()
-##    manage_options = (#ActionProviderBase.manage_options +
-##                      PortalFolder.manage_options[:1] +
-##                      PortalFolder.manage_options[2:])
-
-##    _actions = ()
-##
-##
-##    #
-##    # ZMI
-##    #
-##    _properties = (
-##        {'id': 'title', 'type': 'string', 'mode': 'w', 
-##         'label': 'Title'},
-##        {'id': 'uni_id', 'type': 'string', 'mode': 'w', 
-##         'label': 'University ID'},
-##        {'id': 'uni_name', 'type': 'string', 'mode': 'w', 
-##         'label': 'University Name'},
-##    )
-##    title = ''
-##    def __init__(self,uni_id,uni_name):
-##        self.manage_changeProperties(uni_id = uni_id,
-##                                     uni_name = uni_name,
-##                                     )
-##        PortalFolder.__init__(self, self.id)
-##
-##
-##    def verifyFaculties(self, academics): ###(
-##        """install Universityspecific Faculies with Departments"""
-##        faculties = [
-####                     {'id': 'agri', ###(
-####                      'Title': 'Agriculture',
-####                      'departments': [
-####                                     { 'id': 'dep1', ###(
-####                                       'Title': 'One',
-####                                     },
-####                                     ],
-####                      },###)
-##                      { 'id': 'science',
-##                      'Title': 'Science',
-##                      'departments': [
-##                                     { 'id': 'bio', ###(
-##                                       'Title': 'Biochemistry',
-##                                     },
-##                                     { 'id': 'bot',
-##                                       'Title': 'Botany',
-##                                     },
-##                                     { 'id': 'che',
-##                                       'Title': 'Chemistry',
-##                                     },
-##                                     { 'id': 'com',
-##                                       'Title': 'Computer Science',
-##                                     },
-##                                     { 'id': 'geo',
-##                                       'Title': 'Geologie',
-##                                     },
-##                                     { 'id': 'mat',
-##                                       'Title': 'Mathematics',
-##                                     },
-##                                     { 'id': 'mic',
-##                                       'Title': 'Microbiology',
-##                                     },
-##                                     { 'id': 'opt',
-##                                       'Title': 'Optometry',
-##                                     },
-##                                     { 'id': 'phy',
-##                                       'Title': 'Physics',
-##                                     },
-##                                     { 'id': 'zoo',
-##                                       'Title': 'Zoology',
-##                                     },
-##                                     ],
-##                      },###)
-##                     ]###)
-##        #self.log('Verifying Faculties in %s' % academics.absolute_url(relative=1))
-##        for faculty in faculties:
-##            fid = faculty['id']
-##            f = getattr(academics,fid,None)
-##            #self.log('Checking Faculty %(id)s = %(Title)s' % faculty)
-##            if f is None:
-##                #self.log('Creating Faculty %(id)s = %(Title)s' % faculty)
-##                academics.invokeFactory('Faculty', fid)
-##                f = getattr(academics,fid)
-##                f.getContent().edit(mapping=faculty)
-##            for department in faculty['departments']:
-##                #self.log('Checking Department %(id)s = %(Title)s' % department)
-##                did = department['id']
-##                d = getattr(f,did,None)
-##                if d is None:
-##                    #self.log('Creating Department %(id)s = %(Title)s' % department)
-##                    f.invokeFactory('Department', did)
-##                    d = getattr(f,did)
-##                    d.getContent().edit(mapping=department)
-##    ###)
-
-InitializeClass(WAeUPTool)
-
-##def verifyPortlets(portal, portlets=(), object=None): ###(
-##    """Verify the existence of given portet in the object's portlet
-##    container. If not found, a portlet is instantiated.
-##    Existing portlets are not affected.
-##    'portlets' is a tuple with the dictionaries given by the export tab
-##    as entries.
-##    The default object is the portal itself.
-##    return the list a new portlet ids.
-##    """
-##    #self.log('Verifying portlets on %s' % object.absolute_url(relative=1))
-##    #portlet_container = CPSInstaller.getPortletContainer(object, create=1)
-##    idpc = portal.portal_cpsportlets.getPortletContainerId()
-##    if not hasattr(object, idpc):
-####            self.log("   Creating %s/%s" %
-####                (object.absolute_url(relative=1), idpc))
-##        object.manage_addProduct['CPSPortlets'].addPortletsContainer()
-##    portlet_container = getattr(object, idpc, None)
-##    ttool = portal.portal_types
-##    returned = []
-##    for new_portlet in portlets:
-##        existing_portlets = portlet_container.listPortlets()
-##        updated = 0
-##        # Check if the portlet needs an update
-##        identifier = new_portlet.get('identifier')
-##        if identifier:
-##            for portlet in existing_portlets:
-##                if identifier == portlet.identifier:
-##                    #portal.log(" Update of portlet: %s" % portlet)
-##                    portlet.edit(**new_portlet)
-##                    portlet_id = portlet.getId()
-##                    updated = 1
-##                    continue
-##        slot = new_portlet.get('slot')
-##        if slot:
-##            for portlet in existing_portlets:
-##                if slot == portlet.slot:
-##                    #portal.log(" Update of portlet: %s" % portlet)
-##                    portlet.edit(**new_portlet)
-##                    portlet_id = portlet.getId()
-##                    updated = 1
-##                    continue
-##                
-##        if not updated:
-##            #portal.log("   Creation of portlet: %s" % new_portlet)
-##            portlet_id = portal.portal_cpsportlets.createPortlet(
-##            ptype_id=new_portlet['type'],
-##            context=object,
-##            **new_portlet)
-##        if portlet_id not in returned:
-##            returned.append(portlet_id)
-##    return returned
-##    ###)
-
-##addWAeUPToolForm = HTMLFile('zmi/manage_addWAeUPUniversity',
-##                                                globals())
-##
-##def addWAeUPTool(container, id,
-##                             title='WAeUP University',
-##                             description='',
-##                             langs_list=None,
-##                             manager_id='manager',
-##                             manager_sn='CPS',
-##                             manager_givenName='Manager',
-##                             manager_email='',
-##                             manager_password='',
-##                             manager_password_confirmation='',
-##                             REQUEST=None):
-##    """Add WAeUPTool"""
-##
-##    _log = []
-##    def pr(bla, zlog=1, _log=_log):
-##        if bla == 'flush':
-##            return '<br/>\n'.join(_log)
-##        _log.append(bla)
-##        if (bla and zlog):
-##            LOG('addWAeUPUniversity:', INFO, bla)
-##
-##    uni_id = id.strip()
-##    uni_name = title.strip()
-##    description = description.strip()
-##    manager_id = manager_id.strip()
-##
-####    if not id:
-####        raise ValueError, "You have to provide an id for the portal!"
-####    if not manager_id:
-####        raise ValueError, "You have to provide an id for the CPS Administrator!"
-####    if not manager_email:
-####        raise ValueError, "You have to provide an email address for the CPS Administrator!"
-####    if not manager_password:
-####        raise ValueError, "You have to provide CPS Administrator password!"
-####    if manager_password != manager_password_confirmation:
-####        raise ValueError, "Password confirmation does not match password!"
-##
-##    email_from_name = ('%s %s' % (manager_givenName, manager_sn)).strip()
-##    wt = WAeUPTool(uni_id,uni_name)
-##    id = wt.getId()
-##    container._setObject(id, wt)
-##    sections = getattr(container,'sections')
-##    workspaces = getattr(container,'workspaces') 
-##    sections.invokeFactory('University',uni_id)
-##    uni = getattr(sections,uni_id)
-##    uni.getContent().edit(title=uni_name)
-##    uni.invokeFactory('StudentsFolder','students')
-##    students = getattr(uni,'students').getContent()
-##    students.edit(mapping={'Title':'Students'})
-####    uni.folder_localrole_add(member_ids=('group:Students',),
-####                                            member_role='SectionReviewer',
-####                                            )
-####        uni.content_create(type_name='AcademicsFolder',title='academics')
-####        sections.uni.folder_localrole_add(member_ids=('group:StudentManager',),
-####                                            member_role='SectionManager',
-####                                            )
-####        uni.students.manage_setLocalGroupRoles(groupid = 'Students',roles=('Contributor',))
-##    uni.invokeFactory('AcademicsFolder','academics', title='Academics')
-##    academics = getattr(uni,'academics').getContent()
-##    academics.edit(mapping={'Title':'Academics'})
-##    uni.invokeFactory('AccoFolder','accommodation', title='Accommodation')
-##    accommodation = getattr(uni,'accommodation').getContent()
-##    accommodation.edit(mapping={'Title':'Accommodation'})
-##    academics = getattr(uni,'academics',None)
-##    if academics is None:
-##        uni.invokeFactory('AcademicsFolder','academics')
-##        academics = getattr(uni,'academics')
-##        academics.getContent().edit(mapping={'Title':'Academics'})
-##    wt.verifyFaculties(academics)
-##    if not hasattr(uni,'accommodation'):
-##        uni.invokeFactory('AccoFolder','accommodation')
-##        accommodation = getattr(uni,'accommodation').getContent()
-##        accommodation.edit(mapping={'Title':'Accommodation'})
-##    #uni.manage_setLocalGroupRoles(groupid = 'role:Anonymous',roles=('SectionReader',))
-##    # portlets ###(
-##    #
-##    portlets = (
-##              {#'identifier': 'waeup_breadcrumbs',
-##              'type': 'Breadcrumbs Portlet',
-##              'slot': 'waeup_breadcrumbs',
-##              'first_item': 0,
-##              'display_site_root': 0,
-##              'Title': 'waeup_breadcrumbs',
-##              'display': 'horizontal_trail',
-##              'display_hidden_folders': 0,
-##              'order': 0,
-##              },
-##              {#'identifier': 'waeup_main_tab_actions',
-##              'type': 'Actions Portlet',
-##              'slot': 'main_tabs',
-##              'order': 0,
-##              'categories': ['main_tabs',],
-##              'Title': 'waep_main_tab_actions',
-##              },
-##              {#'identifier': 'waeup_object_actions',
-##              'type': 'Actions Portlet',
-##              'slot': 'waeup_object_actions',
-##              'order': 0,
-##              'categories': ['object',],
-##              'Title': 'waep_manager_actions',
-##              },
-##              {#'identifier': 'waeup_left_top',
-##              'type': 'Custom Portlet',
-##              'slot': 'left_top',
-##              'order': 0,
-##              'render_method': 'portlet_session_info',
-##              'Title': 'Session Info',
-##              },
-##            )
-##    #verifyPortletContainer(uni)
-##    verifyPortlets(container,portlets,uni)
-##
-##    ###)
-##    if REQUEST is not None:
-##        url = container.absolute_url()
-##        REQUEST.RESPONSE.redirect('%s/manage_main' % url)
-