Index: waeup_product/trunk/profiles/default/layouts.xml
===================================================================
--- waeup_product/trunk/profiles/default/layouts.xml	(revision 223)
+++ waeup_product/trunk/profiles/default/layouts.xml	(revision 238)
@@ -24,4 +24,5 @@
  <object name="student_semester" meta_type="CPS Layout"/>
  <object name="study_level" meta_type="CPS Layout"/>
+ <object name="studycourse" meta_type="CPS Layout"/>
  <object name="university" meta_type="CPS Layout"/>
  <object name="waeup_common" meta_type="CPS Layout"/>
Index: waeup_product/trunk/profiles/default/layouts/course.xml
===================================================================
--- waeup_product/trunk/profiles/default/layouts/course.xml	(revision 223)
+++ waeup_product/trunk/profiles/default/layouts/course.xml	(revision 238)
@@ -35,15 +35,4 @@
   <property name="label_edit">Credit</property>
  </widget>
- <widget name="heading" meta_type="String Widget">
-  <property name="fields">
-   <element value="heading"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Title</property>
-  <property name="label_edit">Title</property>
-  <property name="help">Course Title</property>
-  <property name="display_width">40</property>
-  <property name="size_max">40</property>
- </widget>
  <widget name="level" meta_type="Select Widget">
   <property name="fields">
@@ -55,21 +44,26 @@
   <property name="vocabulary">courselevel</property>
  </widget>
- <widget name="nr_of_seats" meta_type="Int Widget">
+ <widget name="passmark" meta_type="Int Widget">
   <property name="fields">
-   <element value="nr_of_seats"/>
+   <element value="passmark"/>
   </property>
   <property name="is_required">True</property>
-  <property name="label">Nr. of seats</property>
-  <property name="label_edit">Nr. of seats</property>
+  <property name="label">Passmark</property>
+  <property name="label_edit">Passmark</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="semester" meta_type="Boolean Widget">
+ <widget name="semester" meta_type="Select Widget">
+  <property name="title">Semester</property>
   <property name="fields">
    <element value="semester"/>
   </property>
-  <property name="is_required">True</property>
   <property name="label">Semester</property>
   <property name="label_edit">Semester</property>
-  <property name="label_false">Second Semester</property>
-  <property name="label_true">First Semester</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">semester_voc</property>
  </widget>
  <widget name="text" meta_type="Text Widget">
@@ -108,5 +102,5 @@
   </row>
   <row>
-   <cell name="nr_of_seats"/>
+   <cell name="passmark"/>
   </row>
  </table>
Index: waeup_product/trunk/profiles/default/layouts/studycourse.xml
===================================================================
--- waeup_product/trunk/profiles/default/layouts/studycourse.xml	(revision 238)
+++ waeup_product/trunk/profiles/default/layouts/studycourse.xml	(revision 238)
@@ -0,0 +1,103 @@
+<?xml version="1.0"?>
+<object name="studycourse" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_default_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+ <widget name="code" meta_type="String Widget">
+  <property name="title">Code</property>
+  <property name="fields">
+   <element value="code"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Code</property>
+  <property name="label_edit">Code</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">6</property>
+  <property name="size_max">6</property>
+ </widget>
+ <widget name="department" meta_type="Select Widget">
+  <property name="title">Department</property>
+  <property name="fields">
+   <element value="department"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Department</property>
+  <property name="label_edit">Department</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="faculty" meta_type="Select Widget">
+  <property name="title">Faculty</property>
+  <property name="fields">
+   <element value="faculty"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Faculty</property>
+  <property name="label_edit">Faculty</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="max_load" meta_type="Int Widget">
+  <property name="title">Maximum Load</property>
+  <property name="fields">
+   <element value="max_load"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Maximum Load</property>
+  <property name="label_edit">Maximum Load</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="max_pass" meta_type="Int Widget">
+  <property name="title">Maximum Pass</property>
+  <property name="fields">
+   <element value="max_pass"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Maximum Pass</property>
+  <property name="label_edit">Maximum Pass</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="nr_of_levels" meta_type="Int Widget">
+  <property name="title">Nr of Levels</property>
+  <property name="fields">
+   <element value="nr_of_levels"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Nr of Levels</property>
+  <property name="label_edit">Nr of Levels</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <table>
+  <row>
+   <cell name="code"/>
+  </row>
+  <row>
+   <cell name="faculty"/>
+  </row>
+  <row>
+   <cell name="department"/>
+  </row>
+  <row>
+   <cell name="nr_of_levels"/>
+  </row>
+  <row>
+   <cell name="max_load"/>
+  </row>
+  <row>
+   <cell name="max_pass"/>
+  </row>
+ </table>
+</object>
Index: waeup_product/trunk/profiles/default/schemas.xml
===================================================================
--- waeup_product/trunk/profiles/default/schemas.xml	(revision 223)
+++ waeup_product/trunk/profiles/default/schemas.xml	(revision 238)
@@ -21,4 +21,5 @@
  <object name="student_schoolresults" meta_type="CPS Schema"/>
  <object name="students" meta_type="CPS Schema"/>
+ <object name="studycourse" meta_type="CPS Schema"/>
  <object name="study_level" meta_type="CPS Schema"/>
  <object name="university" meta_type="CPS Schema"/>
Index: waeup_product/trunk/profiles/default/schemas/course.xml
===================================================================
--- waeup_product/trunk/profiles/default/schemas/course.xml	(revision 223)
+++ waeup_product/trunk/profiles/default/schemas/course.xml	(revision 238)
@@ -10,16 +10,14 @@
   <property name="default_expr">string:</property>
  </field>
- <field name="heading" meta_type="CPS String Field">
-  <property name="is_searchabletext">True</property>
- </field>
  <field name="level" meta_type="CPS String Field">
   <property name="is_searchabletext">True</property>
  </field>
- <field name="nr_of_seats" meta_type="CPS Int Field"/>
- <field name="semester" meta_type="CPS Boolean Field">
-  <property name="default_expr">python:True</property>
+ <field name="passmark" meta_type="CPS Int Field">
+  <property name="default_expr">python:40</property>
  </field>
+ <field name="semester" meta_type="CPS String Field"/>
  <field name="text" meta_type="CPS String Field">
   <property name="is_searchabletext">True</property>
  </field>
 </object>
+
Index: waeup_product/trunk/profiles/default/schemas/studycourse.xml
===================================================================
--- waeup_product/trunk/profiles/default/schemas/studycourse.xml	(revision 238)
+++ waeup_product/trunk/profiles/default/schemas/studycourse.xml	(revision 238)
@@ -0,0 +1,12 @@
+<?xml version="1.0"?>
+<object name="studycourse" meta_type="CPS Schema">
+ <field name="code" meta_type="CPS String Field">
+  <property name="is_searchabletext">True</property>
+ </field>
+ <field name="department" meta_type="CPS String Field"/>
+ <field name="faculty" meta_type="CPS String Field"/>
+ <field name="heading" meta_type="CPS String Field"/>
+  <field name="max_load" meta_type="CPS Int Field"/>
+ <field name="max_pass" meta_type="CPS Int Field"/>
+ <field name="nr_of_levels" meta_type="CPS Int Field"/>
+</object>
Index: waeup_product/trunk/profiles/default/themes.xml
===================================================================
--- waeup_product/trunk/profiles/default/themes.xml	(revision 238)
+++ waeup_product/trunk/profiles/default/themes.xml	(revision 238)
@@ -0,0 +1,10 @@
+<?xml version="1.0"?>
+<object name="portal_themes" meta_type="Portal Themes Tool">
+ <property name="accesskey">*</property>
+ <property name="debug_mode">True</property>
+ <property name="method_themes">
+  <element key="index_html" value="default+Front"/>
+ </property>
+ <object name="waeup_management_theme" meta_type="Portal Theme"/>
+ <object name="waeup_plain_theme" meta_type="Portal Theme"/>
+</object>
Index: waeup_product/trunk/profiles/default/types.xml
===================================================================
--- waeup_product/trunk/profiles/default/types.xml	(revision 223)
+++ waeup_product/trunk/profiles/default/types.xml	(revision 238)
@@ -12,4 +12,6 @@
  <object name="ScratchCard" meta_type="CPS Flexible Type Information"/>
  <object name="Semester" meta_type="CPS Flexible Type Information"/>
+ <object name="SCFolder" meta_type="CPS Flexible Type Information"/>
+ <object name="StudyCourse" meta_type="CPS Flexible Type Information"/>
  <object name="Student" meta_type="CPS Flexible Type Information"/>
  <object name="StudentDocuments" meta_type="CPS Flexible Type Information"/>
Index: waeup_product/trunk/profiles/default/types/AcademicsFolder.xml
===================================================================
--- waeup_product/trunk/profiles/default/types/AcademicsFolder.xml	(revision 223)
+++ waeup_product/trunk/profiles/default/types/AcademicsFolder.xml	(revision 238)
@@ -13,4 +13,5 @@
  <property name="allowed_content_types">
   <element value="Faculty"/>
+  <element value="SCFolder"/>
  </property>
  <property name="allow_discussion">False</property>
Index: waeup_product/trunk/profiles/default/types/Department.xml
===================================================================
--- waeup_product/trunk/profiles/default/types/Department.xml	(revision 223)
+++ waeup_product/trunk/profiles/default/types/Department.xml	(revision 238)
@@ -12,10 +12,10 @@
  <property name="filter_content_types">True</property>
  <property name="allowed_content_types">
+  <element value="Course"/>
   <element value="Student"/>
-  <element value="Course"/>
  </property>
  <property name="allow_discussion">False</property>
  <property name="cps_is_searchable">True</property>
- <property name="cps_proxy_type">folder</property>
+ <property name="cps_proxy_type">btreefolderishdocument</property>
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">
Index: waeup_product/trunk/profiles/default/types/SCFolder.xml
===================================================================
--- waeup_product/trunk/profiles/default/types/SCFolder.xml	(revision 238)
+++ waeup_product/trunk/profiles/default/types/SCFolder.xml	(revision 238)
@@ -0,0 +1,58 @@
+<?xml version="1.0"?>
+<object name="SCFolder" meta_type="CPS Flexible Type Information"
+   xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+ <property name="title">WAeUP StudyCourse Folder</property>
+ <property name="description">The WAeUP StudyCourses Folder</property>
+ <property name="content_icon"></property>
+ <property name="content_meta_type">SCFolder</property>
+ <property name="product">CPSDefault</property>
+ <property name="factory">addFolder</property>
+ <property name="immediate_view">folder_view</property>
+ <property name="global_allow">True</property>
+ <property name="filter_content_types">True</property>
+ <property name="allowed_content_types">
+  <element value="StudyCourse"/>
+ </property>
+ <property name="allow_discussion">False</property>
+ <property name="cps_is_searchable">True</property>
+ <property name="cps_proxy_type">folder</property>
+ <property name="cps_display_as_document_in_listing">True</property>
+ <property name="schemas">
+  <element value="metadata"/>
+  <element value="common"/>
+  <element value="folder"/>
+ </property>
+ <property name="layouts">
+  <element value="common"/>
+  <element value="folder"/>
+ </property>
+ <property name="layout_clusters">
+  <element value="metadata:metadata"/>
+ </property>
+ <property name="flexible_layouts"/>
+ <property name="storage_methods"/>
+ <property name="cps_is_portlet">False</property>
+ <alias from="(Default)" to="temporary_view_all"/>
+ <alias from="view" to="temporary_view_all"/>
+ <action title="Standard View" action_id="view" category="object"
+    condition_expr="" url_expr="string:${object_url}/temporary_view_all"
+    visible="True">
+  <permission value="View"/>
+ </action>
+ <action title="Add StudyCourse" action_id="add_studycourse" category="object"
+    condition_expr="python:True or member and 'UniversityManager'in member.getRoles()"
+    url_expr="string:${object/absolute_url}/create_studycourse"
+    visible="True">
+  <permission value="University Manage"/>
+ </action>
+ <action title="action_folder_contents" action_id="contents" category="object"
+    condition_expr="" url_expr="string:${object/absolute_url}/folder_contents"
+    visible="True">
+  <permission value="University Manage"/>
+ </action>
+ <action title="delegate" action_id="localroles" category="object"
+    condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
+    visible="False">
+  <permission value="University Manage"/>
+ </action>
+</object>
Index: waeup_product/trunk/profiles/default/types/StudyCourse.xml
===================================================================
--- waeup_product/trunk/profiles/default/types/StudyCourse.xml	(revision 238)
+++ waeup_product/trunk/profiles/default/types/StudyCourse.xml	(revision 238)
@@ -0,0 +1,53 @@
+<?xml version="1.0"?>
+<object name="StudyCourse" meta_type="CPS Flexible Type Information"
+   xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+ <property name="title">WAeUP StudyCourse</property>
+ <property name="description"></property>
+ <property name="content_icon"></property>
+ <property name="content_meta_type">StudyCourse</property>
+ <property name="product">WAeUP</property>
+ <property name="factory">addStudyCourse</property>
+ <property name="immediate_view">folder_view</property>
+ <property name="global_allow">True</property>
+ <property name="filter_content_types">True</property>
+ <property name="allow_discussion">False</property>
+ <property name="cps_is_searchable">True</property>
+ <property name="cps_proxy_type">folder</property>
+ <property name="cps_display_as_document_in_listing">True</property>
+ <property name="schemas">
+  <element value="metadata"/>
+  <element value="common"/>
+  <element value="studycourse"/>
+ </property>
+ <property name="layouts">
+  <element value="studycourse"/>
+ </property>
+ <property name="layout_clusters">
+  <element value="metadata:metadata"/>
+ </property>
+ <property name="flexible_layouts"/>
+ <property name="storage_methods"/>
+ <property name="cps_is_portlet">False</property>
+ <alias from="(Default)" to="temporary_view_all"/>
+ <alias from="view" to="temporary_view_all"/>
+ <action title="Standard View" action_id="view" category="object"
+    condition_expr="" url_expr="string:${object_url}/temporary_view_all"
+    visible="True">
+  <permission value="View"/>
+ </action>
+ <action title="action_edit" action_id="edit" category="object"
+    condition_expr="python:member and 'Manager' in member.getRoles()"
+    url_expr="string:${object_url}/cpsdocument_edit_form" visible="True">
+  <permission value="Modify portal content"/>
+ </action>
+ <action title="action_metadata" action_id="metadata" category="object"
+    condition_expr="python:member and 'Manager' in member.getRoles()"
+    url_expr="string:${object_url}/cpsdocument_metadata" visible="True">
+  <permission value="Modify portal content"/>
+ </action>
+ <action title="delegate" action_id="localroles" category="object"
+    condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
+    visible="False">
+  <permission value="Modify portal content"/>
+ </action>
+</object>
Index: waeup_product/trunk/profiles/default/vocabularies.xml
===================================================================
--- waeup_product/trunk/profiles/default/vocabularies.xml	(revision 223)
+++ waeup_product/trunk/profiles/default/vocabularies.xml	(revision 238)
@@ -12,3 +12,4 @@
  <object name="range5" meta_type="CPS Vocabulary"/>
  <object name="range50" meta_type="CPS Vocabulary"/>
+ <object name="semester_voc" meta_type="CPS Vocabulary"/>
  </object>
Index: waeup_product/trunk/profiles/default/vocabularies/semester_voc.xml
===================================================================
--- waeup_product/trunk/profiles/default/vocabularies/semester_voc.xml	(revision 238)
+++ waeup_product/trunk/profiles/default/vocabularies/semester_voc.xml	(revision 238)
@@ -0,0 +1,9 @@
+<?xml version="1.0"?>
+<object name="courselevel" meta_type="CPS Vocabulary">
+ <property name="title"></property>
+ <property name="title_msgid"></property>
+ <property name="description"></property>
+ <property name="acl_write_roles">Manager</property>
+ <item key="1" msgid="">1st</item>
+ <item key="2" msgid="">2nd</item>
+</object>
Index: waeup_product/trunk/profiles/default/workflows.xml
===================================================================
--- waeup_product/trunk/profiles/default/workflows.xml	(revision 223)
+++ waeup_product/trunk/profiles/default/workflows.xml	(revision 238)
@@ -4,4 +4,5 @@
  <object name="waeup_base_wf" meta_type="CPS Workflow"/>
  <object name="waeup_faculty_wf" meta_type="CPS Workflow"/>
+ <object name="waeup_studycourse_wf" meta_type="CPS Workflow"/>
  <object name="waeup_department_wf" meta_type="CPS Workflow"/>
  <object name="waeup_course_wf" meta_type="CPS Workflow"/>
@@ -22,4 +23,7 @@
    <bound-workflow workflow_id="section_folder_wf"/>
   </type>
+  <type type_id="SCFolder">
+   <bound-workflow workflow_id="section_folder_wf"/>
+  </type>
   <type type_id="Faculty">
    <bound-workflow workflow_id="waeup_faculty_wf"/>
@@ -30,4 +34,7 @@
   <type type_id="Course">
    <bound-workflow workflow_id="waeup_course_wf"/>
+  </type>
+  <type type_id="StudyCourse">
+   <bound-workflow workflow_id="waeup_studycourse_wf"/>
   </type>
   <type type_id="StudentsFolder">
Index: waeup_product/trunk/profiles/default/workflows/waeup_studycourse.xml
===================================================================
--- waeup_product/trunk/profiles/default/workflows/waeup_studycourse.xml	(revision 238)
+++ waeup_product/trunk/profiles/default/workflows/waeup_studycourse.xml	(revision 238)
@@ -0,0 +1,54 @@
+<?xml version="1.0"?>
+<cps-workflow workflow_id="waeup_studycourse_wf"
+              title="CPS Workflow Definition"
+              state_variable="review_state"
+              meta_type="CPS Workflow">
+ <permission>View</permission>
+ <state state_id="work" title="Work">
+  <exit-transition transition_id="create_content"/>
+  <exit-transition transition_id="cut_copy_paste"/>
+  <permission-map name="View" acquired="False">
+   <permission-role>Manager</permission-role>
+   <permission-role>SectionManager</permission-role>
+   <permission-role>SectionReviewer</permission-role>
+   <permission-role>SectionReader</permission-role>
+  </permission-map>
+ </state>
+ <transition transition_id="create" title="Initial creation"
+             new_state="work" trigger="USER"
+             before_script="" after_script="">
+  
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+  </guard>
+  <transition-behavior behavior_id="initial-create"/>
+ </transition>
+ <transition transition_id="create_content"
+             title="Create content" new_state="work"
+             trigger="USER" before_script="" after_script="">
+  
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+   <guard-role>SectionReviewer</guard-role>
+   <guard-role>SectionReader</guard-role>
+  </guard>
+  <transition-behavior behavior_id="allow-sub-create"/>
+  <transition-behavior behavior_id="allow-sub-publishing"/>
+ </transition>
+ <transition transition_id="cut_copy_paste"
+             title="Cut/Copy/Paste" new_state=""
+             trigger="USER" before_script="" after_script="">
+  
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+   <guard-role>SectionReviewer</guard-role>
+   <guard-role>SectionReader</guard-role>
+  </guard>
+  <transition-behavior behavior_id="allow-sub-move"/>
+  <transition-behavior behavior_id="allow-sub-delete"/>
+  <transition-behavior behavior_id="allow-sub-copy"/>
+ </transition>
+</cps-workflow>