Index: waeup_product/trunk/profiles/default/workflows.xml
===================================================================
--- waeup_product/trunk/profiles/default/workflows.xml	(revision 238)
+++ waeup_product/trunk/profiles/default/workflows.xml	(revision 240)
@@ -2,14 +2,36 @@
 <object name="portal_workflow" meta_type="CPS Workflow Tool">
  <property name="title"></property>
+ <object name="blog_entry_wf" meta_type="CPS Workflow"/>
+ <object name="blog_section_wf" meta_type="CPS Workflow"/>
+ <object name="blog_workspace_wf" meta_type="CPS Workflow"/>
+ <object name="chat_item_section_wf" meta_type="CPS Workflow"/>
+ <object name="chat_item_workspace_wf" meta_type="CPS Workflow"/>
+ <object name="chat_section_wf" meta_type="CPS Workflow"/>
+ <object name="chat_workspace_wf" meta_type="CPS Workflow"/>
+ <object name="forum_permissions_dummy_wf" meta_type="CPS Workflow"/>
+ <object name="forum_post_wf" meta_type="CPS Workflow"/>
+ <object name="section_content_wf" meta_type="CPS Workflow"/>
+ <object name="section_folder_wf" meta_type="CPS Workflow"/>
+ <object name="section_forum_wf" meta_type="CPS Workflow"/>
+ <object name="section_wiki_wf" meta_type="CPS Workflow"/>
+ <object name="waeup_academics_wf" meta_type="CPS Workflow"/>
+ <object name="waeup_accommodation_wf" meta_type="CPS Workflow"/>
  <object name="waeup_base_wf" meta_type="CPS Workflow"/>
+ <object name="waeup_course_wf" meta_type="CPS Workflow"/>
+ <object name="waeup_department_wf" meta_type="CPS Workflow"/>
  <object name="waeup_faculty_wf" meta_type="CPS Workflow"/>
+ <object name="waeup_section_wf" meta_type="CPS Workflow"/>
+ <object name="waeup_student_wf" meta_type="CPS Workflow"/>
  <object name="waeup_studycourse_wf" meta_type="CPS Workflow"/>
- <object name="waeup_department_wf" meta_type="CPS Workflow"/>
- <object name="waeup_course_wf" meta_type="CPS Workflow"/>
- <object name="waeup_accommodation_wf" meta_type="CPS Workflow"/>
- <object name="waeup_student_wf" meta_type="CPS Workflow"/>
+ <object name="waeup_workspace_wf" meta_type="CPS Workflow"/>
+ <object name="workspace_calendar_wf" meta_type="CPS Workflow"/>
+ <object name="workspace_content_wf" meta_type="CPS Workflow"/>
+ <object name="workspace_folder_wf" meta_type="CPS Workflow"/>
+ <object name="workspace_folderish_content_wf" meta_type="CPS Workflow"/>
+ <object name="workspace_forum_wf" meta_type="CPS Workflow"/>
+ <object name="workspace_wiki_wf" meta_type="CPS Workflow"/>
  <bindings>
   <default/>
-  <type type_id="University">
+  <type type_id="AcademicsFolder">
    <bound-workflow workflow_id="section_folder_wf"/>
   </type>
@@ -20,29 +42,44 @@
    <bound-workflow workflow_id="waeup_accommodation_wf"/>
   </type>
-  <type type_id="AcademicsFolder">
-   <bound-workflow workflow_id="section_folder_wf"/>
+  <type type_id="CPS Calendar">
+   <bound-workflow workflow_id="workspace_calendar_wf"/>
+  </type>
+  <type type_id="Course">
+   <bound-workflow workflow_id="waeup_course_wf"/>
+  </type>
+  <type type_id="CourseTicket">
+   <bound-workflow workflow_id="waeup_student_wf"/>
+  </type>
+  <type type_id="Department">
+   <bound-workflow workflow_id="waeup_department_wf"/>
+  </type>
+  <type type_id="Faculty">
+   <bound-workflow workflow_id="waeup_faculty_wf"/>
+  </type>
+  <type type_id="Jamb">
+   <bound-workflow workflow_id="waeup_base_wf"/>
+  </type>
+  <type type_id="Members Workspace">
+   <bound-workflow workflow_id="workspace_folder_wf"/>
   </type>
   <type type_id="SCFolder">
    <bound-workflow workflow_id="section_folder_wf"/>
   </type>
-  <type type_id="Faculty">
-   <bound-workflow workflow_id="waeup_faculty_wf"/>
-  </type>
-  <type type_id="Department">
-   <bound-workflow workflow_id="waeup_department_wf"/>
-  </type>
-  <type type_id="Course">
-   <bound-workflow workflow_id="waeup_course_wf"/>
-  </type>
-  <type type_id="StudyCourse">
-   <bound-workflow workflow_id="waeup_studycourse_wf"/>
-  </type>
-  <type type_id="StudentsFolder">
+  <type type_id="Section">
    <bound-workflow workflow_id="section_folder_wf"/>
   </type>
-  <type type_id="Student"> 
+  <type type_id="Semester">
    <bound-workflow workflow_id="waeup_student_wf"/>
   </type>
-  <type type_id="Jamb">
+  <type type_id="Student">
+   <bound-workflow workflow_id="waeup_student_wf"/>
+  </type>
+  <type type_id="StudentDocuments">
+   <bound-workflow workflow_id="waeup_base_wf"/>
+  </type>
+  <type type_id="StudentElegibility">
+   <bound-workflow workflow_id="waeup_base_wf"/>
+  </type>
+  <type type_id="StudentEligibility">
    <bound-workflow workflow_id="waeup_base_wf"/>
   </type>
@@ -50,18 +87,18 @@
    <bound-workflow workflow_id="waeup_base_wf"/>
   </type>
-  <type type_id="StudentEligibility">
-   <bound-workflow workflow_id="waeup_base_wf"/>
+  <type type_id="StudentsFolder">
+   <bound-workflow workflow_id="section_folder_wf"/>
   </type>
-  <type type_id="StudentDocuments">
-   <bound-workflow workflow_id="waeup_base_wf"/>
+  <type type_id="StudyCourse">
+   <bound-workflow workflow_id="waeup_studycourse_wf"/>
   </type>
   <type type_id="StudyLevel">
    <bound-workflow workflow_id="waeup_base_wf"/>
   </type>
-  <type type_id="Semester">
-   <bound-workflow workflow_id="waeup_student_wf"/>
+  <type type_id="University">
+   <bound-workflow workflow_id="section_folder_wf"/>
   </type>
-  <type type_id="CourseTicket">
-   <bound-workflow workflow_id="waeup_student_wf"/>
+  <type type_id="Workspace">
+   <bound-workflow workflow_id="workspace_folder_wf"/>
   </type>
  </bindings>