Index: waeup_doc/MainProcesses.html
===================================================================
--- waeup_doc/MainProcesses.html	(revision 244)
+++ waeup_doc/MainProcesses.html	(revision 245)
@@ -298,6 +298,9 @@
 <div class="section">
 <h2><a id="step-1-online-pume-application" name="step-1-online-pume-application">Step 1 (online): PUME Application</a></h2>
-<p>The student buys an <strong>Application Access Card</strong> and enters the Access Code (PIN) together with his/her JAMB registration number on the <em>PUME Application Website</em>. His/Her JAMB data set will show up and the student will be requested to upload a passport picture. After uploading the picture the student can print out the <em>PUME Acknowledgement Slip</em> (see fig. 1) for presentation in the examination hall.</p>
+<p>The student buys an <strong>Application Access Card</strong> and enters the Access Code (PIN) together with his/her JAMB registration number on the <em>PUME Application Website</em>. His/Her JAMB data set will show up and the student will be requested to upload a passport picture. After uploading the picture the student can print out the <em>PUME Acknowledgement Slip</em>  for presentation in the examination hall.</p>
 <p>Data fields: JAMB registration number, student's name, study programme/course (certificate), application date, UME examination date, sex.</p>
+<ul class="simple">
+<li>PUMEAcknowledgementSlip.jpg</li>
+</ul>
 </div>
 <div class="section">
@@ -307,5 +310,8 @@
 <div class="section">
 <h2><a id="step-3-offline-online-upload-of-pume-results" name="step-3-offline-online-upload-of-pume-results">Step 3 (offline/online): Upload of PUME Results</a></h2>
-<p>The examination officer compiles exam results. The portal manager uploads and imports the data.</p>
+<p>The examination officer compiles exam results into an Excel spreadsheet. The portal manager uploads and imports the data.</p>
+<ul class="simple">
+<li>data file example ???</li>
+</ul>
 </div>
 <div class="section">
@@ -317,8 +323,14 @@
 <h2><a id="step-5-offline-online-upload-of-admission-list" name="step-5-offline-online-upload-of-admission-list">Step 5 (offline/online): Upload of Admission List</a></h2>
 <p>The Admission Board decides on those students to be admitted and compiles the Admission List which is then uploaded and imported by the Portal Manager.</p>
+<ul class="simple">
+<li>Admission_upload_excerpt.xls</li>
+</ul>
 </div>
 <div class="section">
 <h2><a id="step-6-online-offline-admission-checking" name="step-6-online-offline-admission-checking">Step 6 (online/offline): Admission Checking</a></h2>
 <p>The student checks for admission to the university on the <em>Admission Checking Website</em> and prints out the <em>Admission Slip</em>. To enter the website he reuses his <strong>Application PIN</strong>. He/she will also see the study programme (certificate) he/she is admitted to. This can differ from the student's choice and has to be officially accepted by the student by signing a letter of acceptance to be presented later to the Clearance Officer (formerly done by filling the online Acceptance Form which is now deprecated).</p>
+<ul class="simple">
+<li>AdmissionSlip.html</li>
+</ul>
 </div>
 <div class="section">
@@ -340,4 +352,7 @@
 <p>Then he/she has to tick appropriate documents to be presented for clearance process.</p>
 <p>Furthermore the student can defer admission till next session by ticking an appropriate box and, finally,  he/she has to confirm possessing all the qualifications which he/she claims to have obtained.</p>
+<ul class="simple">
+<li>ClearanceForm.html</li>
+</ul>
 </div>
 <div class="section">
@@ -348,5 +363,8 @@
 <div class="section">
 <h2><a id="step-8-online-personal-data" name="step-8-online-personal-data">Step 8 (online): Personal Data</a></h2>
-<p>The student has to fill the <em>Personal Data Form</em> which contains all sorts of personal information. He/she also chooses a password for accessing his/her personal portal member area. The basis for this form's creation is the data already gathered from the Clearance and Eligibility data. Other details such as permanent home address, next of kin, sponsor and all other such related information are filled in here. The information does not have direct relevance to course registration, but are useful for generation of School identity cards.</p>
+<p>The student has to fill the <em>Personal Data Form</em> which contains all sorts of personal information. He/she also chooses a password for accessing his/her personal portal member area. The basis for this form is the data already gathered from the Clearance and Eligibility data. Other details such as permanent home address, next of kin, sponsor and all other such related information are filled in here. The information does not have direct relevance to course registration, but are useful for generation of School identity cards.</p>
+<ul class="simple">
+<li>PersonalData.html</li>
+</ul>
 </div>
 <div class="section">
@@ -354,4 +372,7 @@
 <p>The student buys a <strong>Hostel Application Access Card</strong> and proceeds to the <em>Hostel Application Form</em> where he/she enters the PIN. The systems determines if there is free bed space according to the students attributes: sex, study programme, study level, special needs. Beds are allocated according to the 'first come, first serve' principle. The bed allocation algorithm is shown in a separate flow chart.</p>
 <p>The student prints the <em>Hostel Allocation Slip</em>.</p>
+<ul class="simple">
+<li>HostelAllocationSlip.jpg</li>
+</ul>
 </div>
 <div class="section">
@@ -359,4 +380,7 @@
 <p>The student buys a <strong>Hostel Maintenance Card</strong> and pays his/her Hostel Fee by entering the PIN on the <em>Hostel Maintenance Website</em>.</p>
 <p>The student prints the <em>Hostel Maintenance Receipt</em>.</p>
+<ul class="simple">
+<li>HostelMaintenanceReceipt.jpg</li>
+</ul>
 </div>
 <div class="section">
@@ -364,4 +388,8 @@
 <p>The student buys a <strong>School Fee Card</strong> which belongs to his/her study programme or faculty respectively. After entering the PIN on the <em>Course Registration Form</em>, the student is able to add (or delete) courses from a list of courses which are automatically generated by the portal according to the student's study programme and level. The course registration algorithm is shown in a separate flow chart.</p>
 <p>The student prints the <em>School Fees Receipt</em>.</p>
+<ul class="simple">
+<li>RegistrationForm.jpg</li>
+<li>SchoolFeesReceipt.jpg</li>
+</ul>
 </div>
 <div class="section">