Index: eup_doc/Examples/PersonalData.htm
===================================================================
--- /waeup_doc/Examples/PersonalData.htm	(revision 245)
+++ 	(revision )
@@ -1,12 +1,0 @@
-﻿<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN">
-<!-- saved from url=(0054)http://www.unibenportal.com/studentportal/homepage.cfm -->
-<HTML><HEAD><TITLE>Welcome to University of Benin -Student Portal</TITLE>
-<META http-equiv=Content-Type content="text/html; charset=utf-8">
-<META content="MSHTML 6.00.2900.2873" name=GENERATOR></HEAD><FRAMESET border=0 
-frameSpacing=0 rows=95,* frameBorder=0><FRAME title=header border=0 name=header 
-marginWidth=0 marginHeight=0 src="PersonalData-Dateien/header_homepage.htm" 
-frameBorder=NO noResize scrolling=no><FRAMESET border=0 frameSpacing=0 
-frameBorder=0 cols=157,*><FRAME title=left border=0 name=left marginWidth=0 
-marginHeight=0 src="PersonalData-Dateien/left_defaultmasterborder.htm" 
-frameBorder=NO noResize scrolling=no><FRAME title=body name=body marginWidth=0 
-marginHeight=0 src="PersonalData-Dateien/pu.htm"></FRAMESET></FRAMESET></HTML>
Index: /waeup_doc/Examples/PersonalData.html
===================================================================
--- /waeup_doc/Examples/PersonalData.html	(revision 246)
+++ /waeup_doc/Examples/PersonalData.html	(revision 246)
@@ -0,0 +1,12 @@
+﻿<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN">
+<!-- saved from url=(0054)http://www.unibenportal.com/studentportal/homepage.cfm -->
+<HTML><HEAD><TITLE>Welcome to University of Benin -Student Portal</TITLE>
+<META http-equiv=Content-Type content="text/html; charset=utf-8">
+<META content="MSHTML 6.00.2900.2873" name=GENERATOR></HEAD><FRAMESET border=0 
+frameSpacing=0 rows=95,* frameBorder=0><FRAME title=header border=0 name=header 
+marginWidth=0 marginHeight=0 src="PersonalData-Dateien/header_homepage.htm" 
+frameBorder=NO noResize scrolling=no><FRAMESET border=0 frameSpacing=0 
+frameBorder=0 cols=157,*><FRAME title=left border=0 name=left marginWidth=0 
+marginHeight=0 src="PersonalData-Dateien/left_defaultmasterborder.htm" 
+frameBorder=NO noResize scrolling=no><FRAME title=body name=body marginWidth=0 
+marginHeight=0 src="PersonalData-Dateien/pu.htm"></FRAMESET></FRAMESET></HTML>
Index: /waeup_doc/MainProcesses.html
===================================================================
--- /waeup_doc/MainProcesses.html	(revision 245)
+++ /waeup_doc/MainProcesses.html	(revision 246)
@@ -296,4 +296,7 @@
 <h1><a id="i-jamb-ume-entry" name="i-jamb-ume-entry">I. JAMB UME Entry</a></h1>
 <p>Students apply for studying at a University of their choice to the Joint Admissions and Matriculation Board (JAMB). JAMB conducts the Universities Matriculation Examination (UME) and sends the results of the students, who have passed the UME, in electronic form (Excel file on CD) directly to the universities. Students check their results online on the JAMB website. Students who have passed the UME can then apply online for the Post University Matriculation Examination (PUME) conducted by Uniben directly on the PUME Application website.</p>
+<ul class="simple">
+<li>JAMBList.xls ??????</li>
+</ul>
 <div class="section">
 <h2><a id="step-1-online-pume-application" name="step-1-online-pume-application">Step 1 (online): PUME Application</a></h2>
@@ -301,5 +304,5 @@
 <p>Data fields: JAMB registration number, student's name, study programme/course (certificate), application date, UME examination date, sex.</p>
 <ul class="simple">
-<li>PUMEAcknowledgementSlip.jpg</li>
+<li><a class="reference" href="Examples/PUMEAcknowledgementSlip.jpg">PUMEAcknowledgementSlip.jpg</a></li>
 </ul>
 </div>
@@ -324,5 +327,5 @@
 <p>The Admission Board decides on those students to be admitted and compiles the Admission List which is then uploaded and imported by the Portal Manager.</p>
 <ul class="simple">
-<li>Admission_upload_excerpt.xls</li>
+<li><a class="reference" href="Examples/Admission_upload_excerpt.xls">Admission_upload_excerpt.xls</a></li>
 </ul>
 </div>
@@ -331,5 +334,5 @@
 <p>The student checks for admission to the university on the <em>Admission Checking Website</em> and prints out the <em>Admission Slip</em>. To enter the website he reuses his <strong>Application PIN</strong>. He/she will also see the study programme (certificate) he/she is admitted to. This can differ from the student's choice and has to be officially accepted by the student by signing a letter of acceptance to be presented later to the Clearance Officer (formerly done by filling the online Acceptance Form which is now deprecated).</p>
 <ul class="simple">
-<li>AdmissionSlip.html</li>
+<li><a class="reference" href="Examples/AdmissionSlip.html">AdmissionSlip.html</a></li>
 </ul>
 </div>
@@ -353,5 +356,5 @@
 <p>Furthermore the student can defer admission till next session by ticking an appropriate box and, finally,  he/she has to confirm possessing all the qualifications which he/she claims to have obtained.</p>
 <ul class="simple">
-<li>ClearanceForm.html</li>
+<li><a class="reference" href="Examples/ClearanceForm.html">ClearanceForm.html</a></li>
 </ul>
 </div>
@@ -362,37 +365,44 @@
 </div>
 <div class="section">
-<h2><a id="step-8-online-personal-data" name="step-8-online-personal-data">Step 8 (online): Personal Data</a></h2>
+<h2><a id="step-9-matriculation-number-generation" name="step-9-matriculation-number-generation">Step 9 : Matriculation Number Generation</a></h2>
+<p>The Matriculation Number is generated by the system.</p>
+<ul class="simple">
+<li><a class="reference" href="Examples/MatricNumberExplanation.doc">MatricNumberExplanation.doc</a></li>
+</ul>
+</div>
+<div class="section">
+<h2><a id="step-10-online-personal-data" name="step-10-online-personal-data">Step 10 (online): Personal Data</a></h2>
 <p>The student has to fill the <em>Personal Data Form</em> which contains all sorts of personal information. He/she also chooses a password for accessing his/her personal portal member area. The basis for this form is the data already gathered from the Clearance and Eligibility data. Other details such as permanent home address, next of kin, sponsor and all other such related information are filled in here. The information does not have direct relevance to course registration, but are useful for generation of School identity cards.</p>
 <ul class="simple">
-<li>PersonalData.html</li>
-</ul>
-</div>
-<div class="section">
-<h2><a id="step-9-online-hostel-allocation" name="step-9-online-hostel-allocation">Step 9 (online): Hostel Allocation</a></h2>
+<li><a class="reference" href="Examples/PersonalData.html">PersonalData.html</a></li>
+</ul>
+</div>
+<div class="section">
+<h2><a id="step-11-online-hostel-allocation" name="step-11-online-hostel-allocation">Step 11 (online): Hostel Allocation</a></h2>
 <p>The student buys a <strong>Hostel Application Access Card</strong> and proceeds to the <em>Hostel Application Form</em> where he/she enters the PIN. The systems determines if there is free bed space according to the students attributes: sex, study programme, study level, special needs. Beds are allocated according to the 'first come, first serve' principle. The bed allocation algorithm is shown in a separate flow chart.</p>
 <p>The student prints the <em>Hostel Allocation Slip</em>.</p>
 <ul class="simple">
-<li>HostelAllocationSlip.jpg</li>
-</ul>
-</div>
-<div class="section">
-<h2><a id="step-10-online-hostel-maintenance" name="step-10-online-hostel-maintenance">Step 10 (online): Hostel Maintenance</a></h2>
+<li><a class="reference" href="Examples/HostelAllocationSlip.jpg">HostelAllocationSlip.jpg</a></li>
+</ul>
+</div>
+<div class="section">
+<h2><a id="step-12-online-hostel-maintenance" name="step-12-online-hostel-maintenance">Step 12 (online): Hostel Maintenance</a></h2>
 <p>The student buys a <strong>Hostel Maintenance Card</strong> and pays his/her Hostel Fee by entering the PIN on the <em>Hostel Maintenance Website</em>.</p>
 <p>The student prints the <em>Hostel Maintenance Receipt</em>.</p>
 <ul class="simple">
-<li>HostelMaintenanceReceipt.jpg</li>
-</ul>
-</div>
-<div class="section">
-<h2><a id="step-11-online-course-registration" name="step-11-online-course-registration">Step 11 (online): Course Registration</a></h2>
+<li><a class="reference" href="Examples/HostelMaintenanceReceipt.jpg">HostelMaintenanceReceipt.jpg</a></li>
+</ul>
+</div>
+<div class="section">
+<h2><a id="step-13-online-course-registration" name="step-13-online-course-registration">Step 13 (online): Course Registration</a></h2>
 <p>The student buys a <strong>School Fee Card</strong> which belongs to his/her study programme or faculty respectively. After entering the PIN on the <em>Course Registration Form</em>, the student is able to add (or delete) courses from a list of courses which are automatically generated by the portal according to the student's study programme and level. The course registration algorithm is shown in a separate flow chart.</p>
 <p>The student prints the <em>School Fees Receipt</em>.</p>
 <ul class="simple">
-<li>RegistrationForm.jpg</li>
-<li>SchoolFeesReceipt.jpg</li>
-</ul>
-</div>
-<div class="section">
-<h2><a id="step-12-online-course-adviser-validation" name="step-12-online-course-adviser-validation">Step 12 (online): Course Adviser Validation</a></h2>
+<li><a class="reference" href="Examples/RegistrationForm.jpg">RegistrationForm.jpg</a></li>
+<li><a class="reference" href="Examples/SchoolFeesReceipt.jpg">SchoolFeesReceipt.jpg</a></li>
+</ul>
+</div>
+<div class="section">
+<h2><a id="step-14-online-course-adviser-validation" name="step-14-online-course-adviser-validation">Step 14 (online): Course Adviser Validation</a></h2>
 <p>The Course Adviser controls and validates the registered courses. This step can be omitted if the course registration process runs completely automatically.</p>
 </div>
@@ -400,10 +410,19 @@
 <div class="section">
 <h1><a id="ii-returning-students" name="ii-returning-students">II. Returning Students</a></h1>
+<p>Returning Students enter the above described admission and registration process at Step 11 (Hostel Allocation). They log in with their Matriculation Number and their Password (Step R1). Before they can apply for accommodation or register new courses their previous session result must have been uploaded online by the Course Adviser (Step R2). Only Categories A (passed all courses) and B (passed some but have some carryovers) are eligible to register for a new level in the new session and also to apply for accommodation. The students print out the <em>Sessional Result Slip</em>. A Student is not allowed to see his scores but rather the grade and Sessional GPA.  The Result Slip however also shows the student's name, matric number, registration number, course of study, faculty, session and level.</p>
+<ul class="simple">
+<li>CourseResultList.xls ?????</li>
+<li><a class="reference" href="Examples/ResultSlip.jpg">ResultSlip.jpg</a></li>
+<li><a class="reference" href="Examples/GPACalculation.doc">GPACalculation.doc</a></li>
+</ul>
+<p>Steps 11 - 13 are then identical. Only during course registration the so-called 'carryovers', i.e. the courses that were failed in the previous session, are picked up by the system and listed first.</p>
 </div>
 <div class="section">
 <h1><a id="iii-direct-entry" name="iii-direct-entry">III. Direct Entry</a></h1>
+<p>Direct Entry (DE) Students bypass Step 1 - 4. The Excel Data sheet from JAMB is directly sent to the Admission board. The following procedure is identical as the one for the UME Students.</p>
 </div>
 <div class="section">
 <h1><a id="iv-local-programme-entry" name="iv-local-programme-entry">IV. Local Programme Entry</a></h1>
+<p>Students can also bypass the JAMB admission procedure and apply directly at the university for studying Local Programmes. Only the entry examination (Step 2) then differs and is called <em>Local Programme Examination</em>. The Local Programme Application Form is combined with the PUME Application Form (Step 1).</p>
 </div>
 </div>
Index: /waeup_doc/MainProcesses.rst
===================================================================
--- /waeup_doc/MainProcesses.rst	(revision 245)
+++ /waeup_doc/MainProcesses.rst	(revision 246)
@@ -9,4 +9,6 @@
 Students apply for studying at a University of their choice to the Joint Admissions and Matriculation Board (JAMB). JAMB conducts the Universities Matriculation Examination (UME) and sends the results of the students, who have passed the UME, in electronic form (Excel file on CD) directly to the universities. Students check their results online on the JAMB website. Students who have passed the UME can then apply online for the Post University Matriculation Examination (PUME) conducted by Uniben directly on the PUME Application website.
 
+- JAMBList.xls ??????
+
 Step 1 (online): PUME Application
 +++++++++++++++++++++++++++++++++
@@ -16,5 +18,5 @@
 Data fields: JAMB registration number, student's name, study programme/course (certificate), application date, UME examination date, sex.
 
-- PUMEAcknowledgementSlip.jpg
+- `PUMEAcknowledgementSlip.jpg <Examples/PUMEAcknowledgementSlip.jpg>`_
 
 Step 2 (offline): PUME
@@ -42,5 +44,5 @@
 The Admission Board decides on those students to be admitted and compiles the Admission List which is then uploaded and imported by the Portal Manager.
 
-- Admission_upload_excerpt.xls
+- `Admission_upload_excerpt.xls <Examples/Admission_upload_excerpt.xls>`_
 
 Step 6 (online/offline): Admission Checking
@@ -49,5 +51,5 @@
 The student checks for admission to the university on the *Admission Checking Website* and prints out the *Admission Slip*. To enter the website he reuses his **Application PIN**. He/she will also see the study programme (certificate) he/she is admitted to. This can differ from the student's choice and has to be officially accepted by the student by signing a letter of acceptance to be presented later to the Clearance Officer (formerly done by filling the online Acceptance Form which is now deprecated).
 
-- AdmissionSlip.html
+- `AdmissionSlip.html <Examples/AdmissionSlip.html>`_
 
 Step 7 (online): Clearance
@@ -79,5 +81,5 @@
 Furthermore the student can defer admission till next session by ticking an appropriate box and, finally,  he/she has to confirm possessing all the qualifications which he/she claims to have obtained. 
 
-- ClearanceForm.html
+- `ClearanceForm.html <Examples/ClearanceForm.html>`_
 
 Step 8 (offline/online): Clearance Validation
@@ -88,13 +90,20 @@
 The student is now properly admitted to the university and is a member of the portal. The portal assigns a personal portal member area where the student can log in (see next step).
 
-Step 8 (online): Personal Data
-++++++++++++++++++++++++++++++
+Step 9 : Matriculation Number Generation
+++++++++++++++++++++++++++++++++++++++++
+
+The Matriculation Number is generated by the system.
+
+- `MatricNumberExplanation.doc <Examples/MatricNumberExplanation.doc>`_
+
+Step 10 (online): Personal Data
++++++++++++++++++++++++++++++++
 
 The student has to fill the *Personal Data Form* which contains all sorts of personal information. He/she also chooses a password for accessing his/her personal portal member area. The basis for this form is the data already gathered from the Clearance and Eligibility data. Other details such as permanent home address, next of kin, sponsor and all other such related information are filled in here. The information does not have direct relevance to course registration, but are useful for generation of School identity cards.
 
-- PersonalData.html
+- `PersonalData.html <Examples/PersonalData.html>`_
 
-Step 9 (online): Hostel Allocation
-++++++++++++++++++++++++++++++++++
+Step 11 (online): Hostel Allocation
++++++++++++++++++++++++++++++++++++
 
 The student buys a **Hostel Application Access Card** and proceeds to the *Hostel Application Form* where he/she enters the PIN. The systems determines if there is free bed space according to the students attributes: sex, study programme, study level, special needs. Beds are allocated according to the 'first come, first serve' principle. The bed allocation algorithm is shown in a separate flow chart.
@@ -102,8 +111,8 @@
 The student prints the *Hostel Allocation Slip*.
 
-- HostelAllocationSlip.jpg
+- `HostelAllocationSlip.jpg <Examples/HostelAllocationSlip.jpg>`_
 
 
-Step 10 (online): Hostel Maintenance
+Step 12 (online): Hostel Maintenance
 ++++++++++++++++++++++++++++++++++++
 
@@ -112,8 +121,8 @@
 The student prints the *Hostel Maintenance Receipt*.
 
-- HostelMaintenanceReceipt.jpg
+- `HostelMaintenanceReceipt.jpg <Examples/HostelMaintenanceReceipt.jpg>`_
 
 
-Step 11 (online): Course Registration
+Step 13 (online): Course Registration
 +++++++++++++++++++++++++++++++++++++
 
@@ -122,9 +131,9 @@
 The student prints the *School Fees Receipt*.
 
-- RegistrationForm.jpg
-- SchoolFeesReceipt.jpg
+- `RegistrationForm.jpg <Examples/RegistrationForm.jpg>`_
+- `SchoolFeesReceipt.jpg <Examples/SchoolFeesReceipt.jpg>`_
 
 
-Step 12 (online): Course Adviser Validation
+Step 14 (online): Course Adviser Validation
 +++++++++++++++++++++++++++++++++++++++++++
 
@@ -134,4 +143,11 @@
 ----------------------
 
+Returning Students enter the above described admission and registration process at Step 11 (Hostel Allocation). They log in with their Matriculation Number and their Password (Step R1). Before they can apply for accommodation or register new courses their previous session result must have been uploaded online by the Course Adviser (Step R2). Only Categories A (passed all courses) and B (passed some but have some carryovers) are eligible to register for a new level in the new session and also to apply for accommodation. The students print out the *Sessional Result Slip*. A Student is not allowed to see his scores but rather the grade and Sessional GPA.  The Result Slip however also shows the student's name, matric number, registration number, course of study, faculty, session and level. 
+
+- CourseResultList.xls ?????
+- `ResultSlip.jpg <Examples/ResultSlip.jpg>`_
+- `GPACalculation.doc <Examples/GPACalculation.doc>`_
+
+Steps 11 - 13 are then identical. Only during course registration the so-called 'carryovers', i.e. the courses that were failed in the previous session, are picked up by the system and listed first.
 
 
@@ -139,7 +155,9 @@
 -----------------
 
-
+Direct Entry (DE) Students bypass Step 1 - 4. The Excel Data sheet from JAMB is directly sent to the Admission board. The following procedure is identical as the one for the UME Students.
 
 IV. Local Programme Entry
---------------------------
+-------------------------
 
+Students can also bypass the JAMB admission procedure and apply directly at the university for studying Local Programmes. Only the entry examination (Step 2) then differs and is called *Local Programme Examination*. The Local Programme Application Form is combined with the PUME Application Form (Step 1). 
+