Index: waeup_doc/MainProcesses.html
===================================================================
--- waeup_doc/MainProcesses.html	(revision 246)
+++ waeup_doc/MainProcesses.html	(revision 247)
@@ -294,5 +294,5 @@
 <h1 class="title">Description of Main Processes</h1>
 <div class="section">
-<h1><a id="i-jamb-ume-entry" name="i-jamb-ume-entry">I. JAMB UME Entry</a></h1>
+<h1><a id="i-jamb-ume-entry" name="i-jamb-ume-entry">I JAMB UME Entry</a></h1>
 <p>Students apply for studying at a University of their choice to the Joint Admissions and Matriculation Board (JAMB). JAMB conducts the Universities Matriculation Examination (UME) and sends the results of the students, who have passed the UME, in electronic form (Excel file on CD) directly to the universities. Students check their results online on the JAMB website. Students who have passed the UME can then apply online for the Post University Matriculation Examination (PUME) conducted by Uniben directly on the PUME Application website.</p>
 <ul class="simple">
@@ -341,8 +341,18 @@
 <p>The student buys a <strong>Clearance Access Card</strong> and proceeds to the <em>Clearance and Eligibility Form</em> where he/she enters the corresponding PIN first.</p>
 <p>The Eligibility Form contains the following data:</p>
-<p>Entry Date, Access Code, Session, Registration No, Student's Name, Sex, Faculty, Course Major</p>
+<pre class="literal-block">
+Entry Date
+Access Code
+Session
+Registration No
+Student's Name
+Sex
+Faculty
+Course Major
+</pre>
 <p>The data are not editable and are taken from the students record compiled so far.</p>
 <p>The student has to fill the following fields:</p>
-<p>Date of Birth
+<pre class="literal-block">
+Date of Birth
 Local Government
 Nationality
@@ -351,5 +361,39 @@
 Advanced Level Results: Exam Number, Exam Date, Exam Type, Exam Subjects, Exam Grades
 Other Qualifications: Higher Qualification, Higher Grade, School Attended, Matric Number, Session Obtained, Discipline
-Passport Picture</p>
+Passport Picture
+</pre>
+<p>The relationship between Higher Qualification and Higher Grade is:</p>
+<pre class="literal-block">
+Bachelor Degree:
+ First Class
+ Second Class (Upper Division)
+ Second Class (Lower Division)
+ Third Class
+ Pass
+
+Higher National Diploma:
+ Distinction
+ Upper Credit
+ Lower Credit
+ Pass
+
+Ordinary National Diploma:
+ Distinction
+ Upper Credit
+ Lower Credit
+ Pass
+
+National Certificate of Education:
+ Distinction
+ Credit
+ Merit
+ Pass
+
+University Diploma:
+ Distinction
+ Credit
+ Merit
+ Pass
+</pre>
 <p>The student has to upload scanned documents which show the results of all examinations done before.</p>
 <p>Then he/she has to tick appropriate documents to be presented for clearance process.</p>
@@ -396,5 +440,5 @@
 <div class="section">
 <h2><a id="step-13-online-course-registration" name="step-13-online-course-registration">Step 13 (online): Course Registration</a></h2>
-<p>The student buys a <strong>School Fee Card</strong> which belongs to his/her study programme or faculty respectively. After entering the PIN on the <em>Course Registration Form</em>, the student is able to add (or delete) courses from a list of courses which are automatically generated by the portal according to the student's study programme and level. The course registration algorithm is shown in a separate flow chart.</p>
+<p>The student buys a <strong>School Fee Card</strong> which belongs to his/her study programme or faculty respectively. After entering the PIN on the <em>Course Registration Form</em>, the student is able to add (or delete) courses from a list of courses which are automatically generated by the portal according to the student's study programme and level. The total credit load must not exceed 50 units. Otherwise the student is requested to reduce the load.</p>
 <p>The student prints the <em>School Fees Receipt</em>.</p>
 <ul class="simple">
@@ -409,5 +453,5 @@
 </div>
 <div class="section">
-<h1><a id="ii-returning-students" name="ii-returning-students">II. Returning Students</a></h1>
+<h1><a id="ii-returning-students" name="ii-returning-students">II Returning Students</a></h1>
 <p>Returning Students enter the above described admission and registration process at Step 11 (Hostel Allocation). They log in with their Matriculation Number and their Password (Step R1). Before they can apply for accommodation or register new courses their previous session result must have been uploaded online by the Course Adviser (Step R2). Only Categories A (passed all courses) and B (passed some but have some carryovers) are eligible to register for a new level in the new session and also to apply for accommodation. The students print out the <em>Sessional Result Slip</em>. A Student is not allowed to see his scores but rather the grade and Sessional GPA.  The Result Slip however also shows the student's name, matric number, registration number, course of study, faculty, session and level.</p>
 <ul class="simple">
@@ -419,10 +463,97 @@
 </div>
 <div class="section">
-<h1><a id="iii-direct-entry" name="iii-direct-entry">III. Direct Entry</a></h1>
+<h1><a id="iii-direct-entry" name="iii-direct-entry">III Direct Entry</a></h1>
 <p>Direct Entry (DE) Students bypass Step 1 - 4. The Excel Data sheet from JAMB is directly sent to the Admission board. The following procedure is identical as the one for the UME Students.</p>
 </div>
 <div class="section">
-<h1><a id="iv-local-programme-entry" name="iv-local-programme-entry">IV. Local Programme Entry</a></h1>
-<p>Students can also bypass the JAMB admission procedure and apply directly at the university for studying Local Programmes. Only the entry examination (Step 2) then differs and is called <em>Local Programme Examination</em>. The Local Programme Application Form is combined with the PUME Application Form (Step 1).</p>
+<h1><a id="iv-local-programme-entry" name="iv-local-programme-entry">IV Local Programme Entry</a></h1>
+<p>For admission into Diploma (full and part time), Degree (part time) and Post graduate programmes (full and part time) students can bypass the JAMB admission procedure and apply directly at the university. Only the entry examination (Step 2) then differs and is called <em>Local Programme Examination</em>. The Local Programme Application Form is combined with the PUME Application Form (Step 1). However, the application for this requires their results to be added; scanned unlike Post UME where the result is scanned and added after the student has been admitted. ?????</p>
+</div>
+<div class="section">
+<h1><a id="v-portal-setup" name="v-portal-setup">V Portal Setup</a></h1>
+<p>The portal will be delivered with infrastructure data. Faculties, Departments, Course Lists, Study Programmes and Hostel data are already imported. Specific roles can be hierarchically assigned to edit or add infrastructure data (see VII Portal Roles).</p>
+</div>
+<div class="section">
+<h1><a id="vi-access-card-management" name="vi-access-card-management">VI Access Card Management</a></h1>
+<p>The Access Card (Scratch Card) data are kept outside of the main portal and managed by the Access Card Manager. Each Access Code starts with a prefix depending on the Access Card's function. The prefix defines the value of the Access Card.</p>
+<p>Administrative PINs: ????</p>
+<pre class="literal-block">
+Application                   XXX
+Clearance                     XXX
+Hostal Application            XXX
+Hostal Maintanance            XXX
+</pre>
+<p>School Fee PINs:</p>
+<pre class="literal-block">
+AGRICULTURE                   AGR
+ARTS                          ART
+BASIC MEDICAL SC.             BMS
+DENTISTRY                     DEN
+EDUCATION                     EDU
+ENGINEERING                   ENG
+LAW                           LAW
+LIFE SCIENCE                  LSC
+PHYSICAL                      PSC
+PHARMACY                      PHA
+MEDICINE                      MED
+SOCIAL SCIENCES               SSC
+
+Masters in Bus. Admin.        MBA
+Masters in Public Admin       MPA
+Masters Banking &amp; Fin.        MBF
+Masters in Law                LLM
+Masters in Public Health      MPH
+Bachelors in Public Adm       BPA
+Bachelors in Accounting       BIA
+Bachelors in Social Wks       BSW
+Diploma in Public Adm         DPA
+Diploma in Law                DIL
+Diploma in Data Proc.         DDP
+Diploma in Comp. Eng          DCE
+</pre>
+<p>New Students' School Fee PINs the prefix <tt class="docutils literal"><span class="pre">NEW</span></tt> is added at the beginning. For example, a new student in the Education Faculty will need to buy a Scratch Card which starts with: <tt class="docutils literal"><span class="pre">NEWEDU</span></tt>.</p>
+</div>
+<div class="section">
+<h1><a id="vii-portal-roles" name="vii-portal-roles">VII Portal Roles</a></h1>
+<div class="section">
+<h2><a id="portal-manager-pm" name="portal-manager-pm">Portal Manager (PM)</a></h2>
+<p>The Portal Manager is the main system administrator who has exclusive rights to access all parts of the portal. His main task will be to upload and import the various data files: JAMB Lists, PUME Exam Results, Local Programme Exam Results, Admission List, Course Result List, Access Card List</p>
+</div>
+<div class="section">
+<h2><a id="clearance-officer-co" name="clearance-officer-co">Clearance Officer (CO)</a></h2>
+<p>The Clearance Officer has access to the eligibilty data of all students. His only function is to validate the clearance and eligibilty data on the basis of the material presented by each student.</p>
+</div>
+<div class="section">
+<h2><a id="matric-number-manager-mm" name="matric-number-manager-mm">Matric Number Manager (MM)</a></h2>
+<p>Only this role allows to edit Matriculation Numbers and to access and configure the Matric Number Generation tool.</p>
+</div>
+<div class="section">
+<h2><a id="access-card-manager-am" name="access-card-manager-am">Access Card Manager (AM)</a></h2>
+<p>The only function of the Access Card Manager will be to generate and administer the Access Codes (PINs). This could be done by a person which completely outside and not assigned to any other role of the portal.</p>
+</div>
+<div class="section">
+<h2><a id="faculty-manager-fm" name="faculty-manager-fm">Faculty Manager (FM)</a></h2>
+<p>The Faculty Manager sets up the infrastructure of his/her department and provides content specific to the faculty. He/She can add or change departments and can assign local roles within all departments.</p>
+</div>
+<div class="section">
+<h2><a id="department-manager-dm" name="department-manager-dm">Department Manager (DM)</a></h2>
+<p>The Department Manager is the superviser of the Course Adviser und the Lecturers. The DM will manage the content provided by the department (staff list, publication lists, etc). He/She can assign local roles (CA and L) within his/her department.
+At the current stage the local DM role is not needed.</p>
+</div>
+<div class="section">
+<h2><a id="course-adviser-ca" name="course-adviser-ca">Course Adviser (CA)</a></h2>
+<p>The Course Adviser is responsible for the study programmes of each department. He/She selects the courses (from the entire university course list) for each programme and he/she validates the registered courses of each student who studying a programme the CA is responsible for. The CA role is a sub-role of the Department Manager.</p>
+</div>
+<div class="section">
+<h2><a id="lecturer-l" name="lecturer-l">Lecturer (L)</a></h2>
+<p>The Lecturer will be responsible for the courses and course material provided to the students. At the current stage this local role is not needed.</p>
+</div>
+<div class="section">
+<h2><a id="hostel-manager-hm" name="hostel-manager-hm">Hostel Manager (HM)</a></h2>
+<p>The Hostel Manager sets up and manages the infrastructure of all hostels.</p>
+</div>
+</div>
+<div class="section">
+<h1><a id="viii-portal-versioning" name="viii-portal-versioning">VIII Portal Versioning</a></h1>
 </div>
 </div>
Index: waeup_doc/MainProcesses.rst
===================================================================
--- waeup_doc/MainProcesses.rst	(revision 246)
+++ waeup_doc/MainProcesses.rst	(revision 247)
@@ -4,6 +4,6 @@
 
 
-I. JAMB UME Entry
------------------
+I JAMB UME Entry
+----------------
 
 Students apply for studying at a University of their choice to the Joint Admissions and Matriculation Board (JAMB). JAMB conducts the Universities Matriculation Examination (UME) and sends the results of the students, who have passed the UME, in electronic form (Excel file on CD) directly to the universities. Students check their results online on the JAMB website. Students who have passed the UME can then apply online for the Post University Matriculation Examination (PUME) conducted by Uniben directly on the PUME Application website.
@@ -60,5 +60,14 @@
 The Eligibility Form contains the following data:
 
-Entry Date, Access Code, Session, Registration No, Student's Name, Sex, Faculty, Course Major
+::
+
+ Entry Date 
+ Access Code
+ Session
+ Registration No
+ Student's Name
+ Sex
+ Faculty
+ Course Major
 
 The data are not editable and are taken from the students record compiled so far.
@@ -66,12 +75,51 @@
 The student has to fill the following fields:
 
-Date of Birth
-Local Government
-Nationality
-1st Sitting (SSCE, WAEC, GCE, NECO, NABTEB): Exam Number, Exam Date, Exam Type, Exam Subjects, Exam Grades
-2nd Sitting (SSCE, WAEC, GCE, NECO, NABTEB): Exam Number, Exam Date, Exam Type, Exam Subjects, Exam Grades
-Advanced Level Results: Exam Number, Exam Date, Exam Type, Exam Subjects, Exam Grades
-Other Qualifications: Higher Qualification, Higher Grade, School Attended, Matric Number, Session Obtained, Discipline
-Passport Picture
+::
+
+ Date of Birth
+ Local Government
+ Nationality
+ 1st Sitting (SSCE, WAEC, GCE, NECO, NABTEB): Exam Number, Exam Date, Exam Type, Exam Subjects, Exam Grades
+ 2nd Sitting (SSCE, WAEC, GCE, NECO, NABTEB): Exam Number, Exam Date, Exam Type, Exam Subjects, Exam Grades
+ Advanced Level Results: Exam Number, Exam Date, Exam Type, Exam Subjects, Exam Grades
+ Other Qualifications: Higher Qualification, Higher Grade, School Attended, Matric Number, Session Obtained, Discipline
+ Passport Picture
+
+The relationship between Higher Qualification and Higher Grade is:
+
+::
+
+ Bachelor Degree:
+  First Class
+  Second Class (Upper Division)
+  Second Class (Lower Division)
+  Third Class
+  Pass
+
+ Higher National Diploma:
+  Distinction
+  Upper Credit
+  Lower Credit 
+  Pass
+
+ Ordinary National Diploma:
+  Distinction
+  Upper Credit
+  Lower Credit 
+  Pass
+
+ National Certificate of Education:
+  Distinction
+  Credit 
+  Merit
+  Pass
+
+ University Diploma:
+  Distinction
+  Credit 
+  Merit
+  Pass
+
+
 
 The student has to upload scanned documents which show the results of all examinations done before.
@@ -127,5 +175,5 @@
 +++++++++++++++++++++++++++++++++++++
 
-The student buys a **School Fee Card** which belongs to his/her study programme or faculty respectively. After entering the PIN on the *Course Registration Form*, the student is able to add (or delete) courses from a list of courses which are automatically generated by the portal according to the student's study programme and level. The course registration algorithm is shown in a separate flow chart. 
+The student buys a **School Fee Card** which belongs to his/her study programme or faculty respectively. After entering the PIN on the *Course Registration Form*, the student is able to add (or delete) courses from a list of courses which are automatically generated by the portal according to the student's study programme and level. The total credit load must not exceed 50 units. Otherwise the student is requested to reduce the load.  
 
 The student prints the *School Fees Receipt*.
@@ -140,6 +188,6 @@
 The Course Adviser controls and validates the registered courses. This step can be omitted if the course registration process runs completely automatically.
 
-II. Returning Students
-----------------------
+II Returning Students
+---------------------
 
 Returning Students enter the above described admission and registration process at Step 11 (Hostel Allocation). They log in with their Matriculation Number and their Password (Step R1). Before they can apply for accommodation or register new courses their previous session result must have been uploaded online by the Course Adviser (Step R2). Only Categories A (passed all courses) and B (passed some but have some carryovers) are eligible to register for a new level in the new session and also to apply for accommodation. The students print out the *Sessional Result Slip*. A Student is not allowed to see his scores but rather the grade and Sessional GPA.  The Result Slip however also shows the student's name, matric number, registration number, course of study, faculty, session and level. 
@@ -152,12 +200,124 @@
 
 
-III. Direct Entry
------------------
+III Direct Entry
+----------------
 
 Direct Entry (DE) Students bypass Step 1 - 4. The Excel Data sheet from JAMB is directly sent to the Admission board. The following procedure is identical as the one for the UME Students.
 
-IV. Local Programme Entry
+IV Local Programme Entry
+------------------------
+
+For admission into Diploma (full and part time), Degree (part time) and Post graduate programmes (full and part time) students can bypass the JAMB admission procedure and apply directly at the university. Only the entry examination (Step 2) then differs and is called *Local Programme Examination*. The Local Programme Application Form is combined with the PUME Application Form (Step 1). However, the application for this requires their results to be added; scanned unlike Post UME where the result is scanned and added after the student has been admitted. ?????
+
+V Portal Setup
+--------------
+
+The portal will be delivered with infrastructure data. Faculties, Departments, Course Lists, Study Programmes and Hostel data are already imported. Specific roles can be hierarchically assigned to edit or add infrastructure data (see VII Portal Roles).
+
+
+VI Access Card Management
 -------------------------
 
-Students can also bypass the JAMB admission procedure and apply directly at the university for studying Local Programmes. Only the entry examination (Step 2) then differs and is called *Local Programme Examination*. The Local Programme Application Form is combined with the PUME Application Form (Step 1). 
-
+The Access Card (Scratch Card) data are kept outside of the main portal and managed by the Access Card Manager. Each Access Code starts with a prefix depending on the Access Card's function. The prefix defines the value of the Access Card.
+
+Administrative PINs: ????
+
+::
+
+ Application                   XXX
+ Clearance                     XXX
+ Hostal Application            XXX
+ Hostal Maintanance            XXX
+
+
+School Fee PINs:
+
+::
+
+ AGRICULTURE                   AGR
+ ARTS                          ART
+ BASIC MEDICAL SC.             BMS
+ DENTISTRY                     DEN
+ EDUCATION                     EDU    
+ ENGINEERING                   ENG
+ LAW                           LAW
+ LIFE SCIENCE                  LSC
+ PHYSICAL                      PSC
+ PHARMACY                      PHA
+ MEDICINE                      MED
+ SOCIAL SCIENCES               SSC
+
+ Masters in Bus. Admin.        MBA
+ Masters in Public Admin       MPA
+ Masters Banking & Fin.        MBF
+ Masters in Law                LLM
+ Masters in Public Health      MPH               
+ Bachelors in Public Adm       BPA
+ Bachelors in Accounting       BIA
+ Bachelors in Social Wks       BSW
+ Diploma in Public Adm         DPA
+ Diploma in Law                DIL
+ Diploma in Data Proc.         DDP
+ Diploma in Comp. Eng          DCE
+
+
+New Students' School Fee PINs the prefix ``NEW`` is added at the beginning. For example, a new student in the Education Faculty will need to buy a Scratch Card which starts with: ``NEWEDU``. 
+
+
+
+VII Portal Roles
+----------------
+
+Portal Manager (PM)
++++++++++++++++++++
+ 
+The Portal Manager is the main system administrator who has exclusive rights to access all parts of the portal. His main task will be to upload and import the various data files: JAMB Lists, PUME Exam Results, Local Programme Exam Results, Admission List, Course Result List, Access Card List
+
+Clearance Officer (CO)
+++++++++++++++++++++++
+ 
+The Clearance Officer has access to the eligibilty data of all students. His only function is to validate the clearance and eligibilty data on the basis of the material presented by each student.
+
+Matric Number Manager (MM)
+++++++++++++++++++++++++++
+
+Only this role allows to edit Matriculation Numbers and to access and configure the Matric Number Generation tool. 
+
+Access Card Manager (AM)
+++++++++++++++++++++++++
+
+The only function of the Access Card Manager will be to generate and administer the Access Codes (PINs). This could be done by a person which completely outside and not assigned to any other role of the portal.
+
+Faculty Manager (FM)
+++++++++++++++++++++
+
+The Faculty Manager sets up the infrastructure of his/her department and provides content specific to the faculty. He/She can add or change departments and can assign local roles within all departments.
+
+Department Manager (DM)
++++++++++++++++++++++++
+
+The Department Manager is the superviser of the Course Adviser und the Lecturers. The DM will manage the content provided by the department (staff list, publication lists, etc). He/She can assign local roles (CA and L) within his/her department.
+At the current stage the local DM role is not needed.
+
+Course Adviser (CA)
++++++++++++++++++++
+
+The Course Adviser is responsible for the study programmes of each department. He/She selects the courses (from the entire university course list) for each programme and he/she validates the registered courses of each student who studying a programme the CA is responsible for. The CA role is a sub-role of the Department Manager.
+
+Lecturer (L)
+++++++++++++
+
+The Lecturer will be responsible for the courses and course material provided to the students. At the current stage this local role is not needed. 
+
+Hostel Manager (HM)
++++++++++++++++++++
+
+The Hostel Manager sets up and manages the infrastructure of all hostels. 
+
+
+
+VIII Portal Versioning
+----------------------
+
+
+