Index: waeup_doc/MainProcesses.html
===================================================================
--- waeup_doc/MainProcesses.html	(revision 247)
+++ waeup_doc/MainProcesses.html	(revision 248)
@@ -472,15 +472,43 @@
 <div class="section">
 <h1><a id="v-portal-setup" name="v-portal-setup">V Portal Setup</a></h1>
-<p>The portal will be delivered with infrastructure data. Faculties, Departments, Course Lists, Study Programmes and Hostel data are already imported. Specific roles can be hierarchically assigned to edit or add infrastructure data (see VII Portal Roles).</p>
-</div>
-<div class="section">
-<h1><a id="vi-access-card-management" name="vi-access-card-management">VI Access Card Management</a></h1>
-<p>The Access Card (Scratch Card) data are kept outside of the main portal and managed by the Access Card Manager. Each Access Code starts with a prefix depending on the Access Card's function. The prefix defines the value of the Access Card.</p>
+<p>The portal will be delivered with infrastructure data. Faculties, Departments, Course Lists, Study Programmes and Hostel data are already imported. Specific roles can be hierarchically assigned to edit or add infrastructure data (see also VIII Portal Roles).</p>
+<p>The portal content types are (not yet all attributes defined):</p>
+<pre class="literal-block">
+Student:         see Clearance
+Faculty:         Description
+Department:      Description
+Course:          Decription, Course Number
+Study Programme: List of Courses
+Hall:            Hall Name
+Block:           Block or Section Name
+Room:            Room Number
+Bed:             Room Letter
+</pre>
+</div>
+<div class="section">
+<h1><a id="vi-gown-hiring" name="vi-gown-hiring">VI Gown Hiring</a></h1>
+<p>(forthcoming)</p>
+</div>
+<div class="section">
+<h1><a id="vii-access-card-management" name="vii-access-card-management">VII Access Card Management</a></h1>
+<p>The Access Card (Scratch Card) data are kept outside of the main portal and managed only by the Access Card Manager.</p>
+<p>The data fields of Access Card records are:</p>
+<pre class="literal-block">
+Series Batch Code
+Access Code
+Matric or Registration Number
+Cost
+Generated By
+Date Activated
+Sold by
+</pre>
+<p>Each Access Code starts with a prefix depending on the Access Card's function, i.e. what it is used for. The prefix also defines the value of the Access Card.</p>
 <p>Administrative PINs: ????</p>
 <pre class="literal-block">
-Application                   XXX
-Clearance                     XXX
-Hostal Application            XXX
-Hostal Maintanance            XXX
+Application                   ???
+Clearance                     ???
+Hostal Application            HOS
+Hostal Maintanance            ???
+Gown Hiring                   GWN
 </pre>
 <p>School Fee PINs:</p>
@@ -512,8 +540,8 @@
 Diploma in Comp. Eng          DCE
 </pre>
-<p>New Students' School Fee PINs the prefix <tt class="docutils literal"><span class="pre">NEW</span></tt> is added at the beginning. For example, a new student in the Education Faculty will need to buy a Scratch Card which starts with: <tt class="docutils literal"><span class="pre">NEWEDU</span></tt>.</p>
-</div>
-<div class="section">
-<h1><a id="vii-portal-roles" name="vii-portal-roles">VII Portal Roles</a></h1>
+<p>New Students' School Fee PINs additionally start with the prefix <tt class="docutils literal"><span class="pre">NEW</span></tt>. For example, a new student in the Education Faculty will need to buy a Scratch Card with Prefix: <tt class="docutils literal"><span class="pre">NEWEDU</span></tt>.</p>
+</div>
+<div class="section">
+<h1><a id="viii-portal-roles" name="viii-portal-roles">VIII Portal Roles</a></h1>
 <div class="section">
 <h2><a id="portal-manager-pm" name="portal-manager-pm">Portal Manager (PM)</a></h2>
@@ -526,13 +554,13 @@
 <div class="section">
 <h2><a id="matric-number-manager-mm" name="matric-number-manager-mm">Matric Number Manager (MM)</a></h2>
-<p>Only this role allows to edit Matriculation Numbers and to access and configure the Matric Number Generation tool.</p>
+<p>Only the Matric Number Manager is allowed to edit Matriculation Numbers and to access and configure the Matric Number Generation tool.</p>
 </div>
 <div class="section">
 <h2><a id="access-card-manager-am" name="access-card-manager-am">Access Card Manager (AM)</a></h2>
-<p>The only function of the Access Card Manager will be to generate and administer the Access Codes (PINs). This could be done by a person which completely outside and not assigned to any other role of the portal.</p>
+<p>The only function of the Access Card Manager will be to generate and administer the Access Codes (PINs).</p>
 </div>
 <div class="section">
 <h2><a id="faculty-manager-fm" name="faculty-manager-fm">Faculty Manager (FM)</a></h2>
-<p>The Faculty Manager sets up the infrastructure of his/her department and provides content specific to the faculty. He/She can add or change departments and can assign local roles within all departments.</p>
+<p>The Faculty Manager sets up the infrastructure of his/her faculty and provides content specific to his/her faculty. He/She can add or change departments and can assign local roles within all departments.</p>
 </div>
 <div class="section">
@@ -543,5 +571,5 @@
 <div class="section">
 <h2><a id="course-adviser-ca" name="course-adviser-ca">Course Adviser (CA)</a></h2>
-<p>The Course Adviser is responsible for the study programmes of each department. He/She selects the courses (from the entire university course list) for each programme and he/she validates the registered courses of each student who studying a programme the CA is responsible for. The CA role is a sub-role of the Department Manager.</p>
+<p>The Course Adviser is responsible for the study programmes of the department. He/She selects the courses (from the entire university course list) for each study programme and validates the registered courses of each student who is studying in the department. The CA role is a sub-role of the Department Manager.</p>
 </div>
 <div class="section">
@@ -555,5 +583,6 @@
 </div>
 <div class="section">
-<h1><a id="viii-portal-versioning" name="viii-portal-versioning">VIII Portal Versioning</a></h1>
+<h1><a id="ix-portal-versioning-and-archiving" name="ix-portal-versioning-and-archiving">IX Portal Versioning and Archiving</a></h1>
+<p>Course specific data (including list of participants) are under version control. Each session new course objects are created on the basis of the data of the previous session.</p>
 </div>
 </div>
Index: waeup_doc/MainProcesses.rst
===================================================================
--- waeup_doc/MainProcesses.rst	(revision 247)
+++ waeup_doc/MainProcesses.rst	(revision 248)
@@ -213,11 +213,46 @@
 --------------
 
-The portal will be delivered with infrastructure data. Faculties, Departments, Course Lists, Study Programmes and Hostel data are already imported. Specific roles can be hierarchically assigned to edit or add infrastructure data (see VII Portal Roles).
-
-
-VI Access Card Management
--------------------------
-
-The Access Card (Scratch Card) data are kept outside of the main portal and managed by the Access Card Manager. Each Access Code starts with a prefix depending on the Access Card's function. The prefix defines the value of the Access Card.
+The portal will be delivered with infrastructure data. Faculties, Departments, Course Lists, Study Programmes and Hostel data are already imported. Specific roles can be hierarchically assigned to edit or add infrastructure data (see also VIII Portal Roles).
+
+The portal content types are (not yet all attributes defined):
+
+::
+
+ Student:         see Clearance
+ Faculty:         Description
+ Department:      Description
+ Course:          Decription, Course Number 
+ Study Programme: List of Courses 
+ Hall:            Hall Name
+ Block:           Block or Section Name
+ Room:            Room Number
+ Bed:             Room Letter
+
+
+VI Gown Hiring
+--------------
+
+(forthcoming)
+
+
+VII Access Card Management
+--------------------------
+
+The Access Card (Scratch Card) data are kept outside of the main portal and managed only by the Access Card Manager. 
+
+The data fields of Access Card records are:
+
+::
+
+ Series Batch Code
+ Access Code
+ Matric or Registration Number
+ Cost
+ Generated By
+ Date Activated
+ Sold by
+ 
+
+Each Access Code starts with a prefix depending on the Access Card's function, i.e. what it is used for. The prefix also defines the value of the Access Card.
 
 Administrative PINs: ????
@@ -225,8 +260,9 @@
 ::
 
- Application                   XXX
- Clearance                     XXX
- Hostal Application            XXX
- Hostal Maintanance            XXX
+ Application                   ???
+ Clearance                     ???
+ Hostal Application            HOS
+ Hostal Maintanance            ???
+ Gown Hiring                   GWN
 
 
@@ -262,10 +298,9 @@
 
 
-New Students' School Fee PINs the prefix ``NEW`` is added at the beginning. For example, a new student in the Education Faculty will need to buy a Scratch Card which starts with: ``NEWEDU``. 
-
-
-
-VII Portal Roles
-----------------
+New Students' School Fee PINs additionally start with the prefix ``NEW``. For example, a new student in the Education Faculty will need to buy a Scratch Card with Prefix: ``NEWEDU``. 
+
+
+VIII Portal Roles
+-----------------
 
 Portal Manager (PM)
@@ -282,15 +317,15 @@
 ++++++++++++++++++++++++++
 
-Only this role allows to edit Matriculation Numbers and to access and configure the Matric Number Generation tool. 
+Only the Matric Number Manager is allowed to edit Matriculation Numbers and to access and configure the Matric Number Generation tool. 
 
 Access Card Manager (AM)
 ++++++++++++++++++++++++
 
-The only function of the Access Card Manager will be to generate and administer the Access Codes (PINs). This could be done by a person which completely outside and not assigned to any other role of the portal.
+The only function of the Access Card Manager will be to generate and administer the Access Codes (PINs).
 
 Faculty Manager (FM)
 ++++++++++++++++++++
 
-The Faculty Manager sets up the infrastructure of his/her department and provides content specific to the faculty. He/She can add or change departments and can assign local roles within all departments.
+The Faculty Manager sets up the infrastructure of his/her faculty and provides content specific to his/her faculty. He/She can add or change departments and can assign local roles within all departments.
 
 Department Manager (DM)
@@ -303,5 +338,5 @@
 +++++++++++++++++++
 
-The Course Adviser is responsible for the study programmes of each department. He/She selects the courses (from the entire university course list) for each programme and he/she validates the registered courses of each student who studying a programme the CA is responsible for. The CA role is a sub-role of the Department Manager.
+The Course Adviser is responsible for the study programmes of the department. He/She selects the courses (from the entire university course list) for each study programme and validates the registered courses of each student who is studying in the department. The CA role is a sub-role of the Department Manager.
 
 Lecturer (L)
@@ -317,7 +352,9 @@
 
 
-VIII Portal Versioning
-----------------------
-
-
-
+IX Portal Versioning and Archiving
+----------------------------------
+
+Course specific data (including list of participants) are under version control. Each session new course objects are created on the basis of the data of the previous session.
+
+
+