Index: waeup_doc/MainProcesses.html
===================================================================
--- waeup_doc/MainProcesses.html	(revision 248)
+++ waeup_doc/MainProcesses.html	(revision 249)
@@ -297,5 +297,5 @@
 <p>Students apply for studying at a University of their choice to the Joint Admissions and Matriculation Board (JAMB). JAMB conducts the Universities Matriculation Examination (UME) and sends the results of the students, who have passed the UME, in electronic form (Excel file on CD) directly to the universities. Students check their results online on the JAMB website. Students who have passed the UME can then apply online for the Post University Matriculation Examination (PUME) conducted by Uniben directly on the PUME Application website.</p>
 <ul class="simple">
-<li>JAMBList.xls ??????</li>
+<li>JAMBList.xls ???</li>
 </ul>
 <div class="section">
@@ -456,5 +456,5 @@
 <p>Returning Students enter the above described admission and registration process at Step 11 (Hostel Allocation). They log in with their Matriculation Number and their Password (Step R1). Before they can apply for accommodation or register new courses their previous session result must have been uploaded online by the Course Adviser (Step R2). Only Categories A (passed all courses) and B (passed some but have some carryovers) are eligible to register for a new level in the new session and also to apply for accommodation. The students print out the <em>Sessional Result Slip</em>. A Student is not allowed to see his scores but rather the grade and Sessional GPA.  The Result Slip however also shows the student's name, matric number, registration number, course of study, faculty, session and level.</p>
 <ul class="simple">
-<li>CourseResultList.xls ?????</li>
+<li>CourseResultList.xls ???</li>
 <li><a class="reference" href="Examples/ResultSlip.jpg">ResultSlip.jpg</a></li>
 <li><a class="reference" href="Examples/GPACalculation.doc">GPACalculation.doc</a></li>
@@ -468,5 +468,5 @@
 <div class="section">
 <h1><a id="iv-local-programme-entry" name="iv-local-programme-entry">IV Local Programme Entry</a></h1>
-<p>For admission into Diploma (full and part time), Degree (part time) and Post graduate programmes (full and part time) students can bypass the JAMB admission procedure and apply directly at the university. Only the entry examination (Step 2) then differs and is called <em>Local Programme Examination</em>. The Local Programme Application Form is combined with the PUME Application Form (Step 1). However, the application for this requires their results to be added; scanned unlike Post UME where the result is scanned and added after the student has been admitted. ?????</p>
+<p>For admission into Diploma (full and part time), Degree (part time) and Post graduate programmes (full and part time) students can bypass the JAMB admission procedure and apply directly at the university. Only the entry examination (Step 2) then differs and is called <em>Local Programme Examination</em>. The Local Programme Application Form is combined with the PUME Application Form (Step 1). However, the application for this requires their results to be added; scanned unlike Post UME where the result is scanned and added after the student has been admitted. ???</p>
 </div>
 <div class="section">
@@ -504,39 +504,42 @@
 </pre>
 <p>Each Access Code starts with a prefix depending on the Access Card's function, i.e. what it is used for. The prefix also defines the value of the Access Card.</p>
-<p>Administrative PINs: ????</p>
-<pre class="literal-block">
-Application                   ???
-Clearance                     ???
-Hostal Application            HOS
-Hostal Maintanance            ???
-Gown Hiring                   GWN
+<p>Administrative PINs: ???</p>
+<pre class="literal-block">
+Application                       ???
+Clearance                         ???
+Hostel Application                HOS
+Hostel Maintanance
+ Old Hostels (Halls 1, 2, 3, 4)   HMU
+ New Hostel (Hall 5)              HMF
+ Postgraduate Hostel              HMP
+Gown Hiring                       GWN
 </pre>
 <p>School Fee PINs:</p>
 <pre class="literal-block">
-AGRICULTURE                   AGR
-ARTS                          ART
-BASIC MEDICAL SC.             BMS
-DENTISTRY                     DEN
-EDUCATION                     EDU
-ENGINEERING                   ENG
-LAW                           LAW
-LIFE SCIENCE                  LSC
-PHYSICAL                      PSC
-PHARMACY                      PHA
-MEDICINE                      MED
-SOCIAL SCIENCES               SSC
-
-Masters in Bus. Admin.        MBA
-Masters in Public Admin       MPA
-Masters Banking &amp; Fin.        MBF
-Masters in Law                LLM
-Masters in Public Health      MPH
-Bachelors in Public Adm       BPA
-Bachelors in Accounting       BIA
-Bachelors in Social Wks       BSW
-Diploma in Public Adm         DPA
-Diploma in Law                DIL
-Diploma in Data Proc.         DDP
-Diploma in Comp. Eng          DCE
+AGRICULTURE                       AGR
+ARTS                              ART
+BASIC MEDICAL SC.                 BMS
+DENTISTRY                         DEN
+EDUCATION                         EDU
+ENGINEERING                       ENG
+LAW                               LAW
+LIFE SCIENCE                      LSC
+PHYSICAL                          PSC
+PHARMACY                          PHA
+MEDICINE                          MED
+SOCIAL SCIENCES                   SSC
+
+Masters in Bus. Admin.            MBA
+Masters in Public Admin           MPA
+Masters Banking &amp; Fin.            MBF
+Masters in Law                    LLM
+Masters in Public Health          MPH
+Bachelors in Public Adm           BPA
+Bachelors in Accounting           BIA
+Bachelors in Social Wks           BSW
+Diploma in Public Adm             DPA
+Diploma in Law                    DIL
+Diploma in Data Proc.             DDP
+Diploma in Comp. Eng              DCE
 </pre>
 <p>New Students' School Fee PINs additionally start with the prefix <tt class="docutils literal"><span class="pre">NEW</span></tt>. For example, a new student in the Education Faculty will need to buy a Scratch Card with Prefix: <tt class="docutils literal"><span class="pre">NEWEDU</span></tt>.</p>