Index: waeup_doc/MainProcesses.html
===================================================================
--- waeup_doc/MainProcesses.html	(revision 249)
+++ waeup_doc/MainProcesses.html	(revision 250)
@@ -320,5 +320,5 @@
 <div class="section">
 <h2><a id="step-4-online-pume-result-checking" name="step-4-online-pume-result-checking">Step 4 (online): PUME Result Checking</a></h2>
-<p>The student checks the exam results on the <em>PUME Results Checking Website</em>. To enter the website he/she reuses his/her <strong>Application PIN</strong>. He/She will see the results and can print out the <em>PUME Result Slip</em>.</p>
+<p>The student checks the exam results on the <em>PUME Results Checking Website</em>. To access the website he/she reuses his/her <strong>Application PIN</strong>. He/She will see the results and can print out the <em>PUME Result Slip</em>.</p>
 <p>Data fields: ???</p>
 </div>
@@ -398,5 +398,5 @@
 <p>The student has to upload scanned documents which show the results of all examinations done before.</p>
 <p>Then he/she has to tick appropriate documents to be presented for clearance process.</p>
-<p>Furthermore the student can defer admission till next session by ticking an appropriate box and, finally,  he/she has to confirm possessing all the qualifications which he/she claims to have obtained.</p>
+<p>Furthermore the student can defer admission till next session by ticking an appropriate box. Finally, the student has to confirm possessing all the qualifications which he/she claims to have obtained.</p>
 <ul class="simple">
 <li><a class="reference" href="Examples/ClearanceForm.html">ClearanceForm.html</a></li>
@@ -406,5 +406,5 @@
 <h2><a id="step-8-offline-online-clearance-validation" name="step-8-offline-online-clearance-validation">Step 8 (offline/online): Clearance Validation</a></h2>
 <p>The student goes with all documents to the Clearance Officer who validates the entered data and uploaded files. Finally the <em>Eligibility Form</em> is printed and signed by both the student and the Course Manager.</p>
-<p>The student is now properly admitted to the university and is a member of the portal. The portal assigns a personal portal member area where the student can log in (see next step).</p>
+<p>The student is now properly admitted to the university and is a member of the portal.</p>
 </div>
 <div class="section">
@@ -417,5 +417,5 @@
 <div class="section">
 <h2><a id="step-10-online-personal-data" name="step-10-online-personal-data">Step 10 (online): Personal Data</a></h2>
-<p>The student has to fill the <em>Personal Data Form</em> which contains all sorts of personal information. He/she also chooses a password for accessing his/her personal portal member area. The basis for this form is the data already gathered from the Clearance and Eligibility data. Other details such as permanent home address, next of kin, sponsor and all other such related information are filled in here. The information does not have direct relevance to course registration, but are useful for generation of School identity cards.</p>
+<p>The student has to fill the <em>Personal Data Form</em> which contains all sorts of personal information. He/she also chooses a password for accessing his/her personal portal member area which has been automatically created after Clearance Validation. The basis for Personal Data Form is the data already gathered from the Clearance and Eligibility data. Other details such as permanent home address, next of kin, sponsor and all other such related information are filled in here. The information does not have direct relevance to course registration, but are useful for generation of School identity cards.</p>
 <ul class="simple">
 <li><a class="reference" href="Examples/PersonalData.html">PersonalData.html</a></li>
@@ -432,5 +432,5 @@
 <div class="section">
 <h2><a id="step-12-online-hostel-maintenance" name="step-12-online-hostel-maintenance">Step 12 (online): Hostel Maintenance</a></h2>
-<p>The student buys a <strong>Hostel Maintenance Card</strong> and pays his/her Hostel Fee by entering the PIN on the <em>Hostel Maintenance Website</em>.</p>
+<p>The student buys a <strong>Hostel Maintenance Card</strong> which belongs to the allocated hostel and pays his/her Hostel Fee by entering the PIN on the <em>Hostel Maintenance Website</em>.</p>
 <p>The student prints the <em>Hostel Maintenance Receipt</em>.</p>
 <ul class="simple">
@@ -454,5 +454,5 @@
 <div class="section">
 <h1><a id="ii-returning-students" name="ii-returning-students">II Returning Students</a></h1>
-<p>Returning Students enter the above described admission and registration process at Step 11 (Hostel Allocation). They log in with their Matriculation Number and their Password (Step R1). Before they can apply for accommodation or register new courses their previous session result must have been uploaded online by the Course Adviser (Step R2). Only Categories A (passed all courses) and B (passed some but have some carryovers) are eligible to register for a new level in the new session and also to apply for accommodation. The students print out the <em>Sessional Result Slip</em>. A Student is not allowed to see his scores but rather the grade and Sessional GPA.  The Result Slip however also shows the student's name, matric number, registration number, course of study, faculty, session and level.</p>
+<p>Returning Students proceed with the above described admission and registration process at Step 11 (Hostel Allocation). They log in with their Matriculation Number and their Password (Step R1). Before they can apply for accommodation or register new courses their previous session result must have been uploaded online by the Course Adviser (Step R2). Only Categories A (passed all courses) and B (passed some but have some carryovers) are eligible to register for a new level in the new session and also to apply for accommodation. The students print out the <em>Sessional Result Slip</em>. A Student is not allowed to see his scores but rather the grade and Sessional GPA.  The Result Slip however also shows the student's name, matric number, registration number, course of study, faculty, session and level.</p>
 <ul class="simple">
 <li>CourseResultList.xls ???</li>