Index: /waeup_doc/MainProcesses.html
===================================================================
--- /waeup_doc/MainProcesses.html	(revision 252)
+++ /waeup_doc/MainProcesses.html	(revision 253)
@@ -510,21 +510,9 @@
 <h1><a id="iv-local-programme-entry" name="iv-local-programme-entry">IV Local Programme Entry</a></h1>
 <p>For admission into Diploma (full and part time), Degree (part time) and Post graduate programmes (full and part time) students can bypass the JAMB admission procedure and apply directly at the university. Only the entry examination (Step 2) then differs and is called <em>Local Programme Examination</em>. The Local Programme Application Form can be combined with the PUME Application Form (Step 1). However, the application for this requires their results to be added; scanned unlike Post UME where the result is scanned and added after the student has been admitted. Also the 'JAMB data' have to be filled manually. Also, the registration number is generated internally with the pattern of 3-alphabets representing the study programme,  6 digits random number and 2-digits reprenting the year. [Henrik: Why is that necessary?]</p>
-<p>For example: <tt class="docutils literal"><span class="pre">DIA000001/06</span></tt> means the first person to Log in and apply is for Diploma in Accounting and is applying in the 2006/2007 session.</p>
+<p>For example: <tt class="docutils literal"><span class="pre">DIA000001/06</span></tt> means the first person to log in is for Diploma in Accounting and is applying in the 2006/2007 session.</p>
 </div>
 <div class="section">
 <h1><a id="v-portal-setup" name="v-portal-setup">V Portal Setup</a></h1>
-<p>The portal will be delivered with infrastructure data. Faculties, Departments, Course Lists, Study Programmes and Hostel data are already imported. Specific roles can be hierarchically assigned to edit or add infrastructure data (see also VIII Portal Roles).</p>
-<p>The portal content types are (not yet all attributes defined):</p>
-<pre class="literal-block">
-Student:         see Clearance
-Faculty:         Description
-Department:      Description
-Course:          Decription, Course Number
-Study Programme: List of Courses
-Hall:            Hall Name
-Block:           Block or Section Name
-Room:            Room Number
-Bed:             Room Letter
-</pre>
+<p>(description of portal content types is forthcoming)</p>
 </div>
 <div class="section">
@@ -611,6 +599,5 @@
 <div class="section">
 <h2><a id="department-manager-dm" name="department-manager-dm">Department Manager (DM)</a></h2>
-<p>The Department Manager is the superviser of the Course Adviser und the Lecturers. The DM will manage the content provided by the department (staff list, publication lists, etc). He/She can assign local roles (CA and L) within his/her department.
-At the current stage the local DM role is not needed.</p>
+<p>The Department Manager is the superviser of the Course Adviser und the Lecturers. The DM will manage the content provided by the department (staff list, publication lists, etc). He/She can assign local roles (CA and L) within his/her department. At the current stage the local DM role is not needed.</p>
 </div>
 <div class="section">
Index: /waeup_doc/MainProcesses.rst
===================================================================
--- /waeup_doc/MainProcesses.rst	(revision 252)
+++ /waeup_doc/MainProcesses.rst	(revision 253)
@@ -269,5 +269,5 @@
 For admission into Diploma (full and part time), Degree (part time) and Post graduate programmes (full and part time) students can bypass the JAMB admission procedure and apply directly at the university. Only the entry examination (Step 2) then differs and is called *Local Programme Examination*. The Local Programme Application Form can be combined with the PUME Application Form (Step 1). However, the application for this requires their results to be added; scanned unlike Post UME where the result is scanned and added after the student has been admitted. Also the 'JAMB data' have to be filled manually. Also, the registration number is generated internally with the pattern of 3-alphabets representing the study programme,  6 digits random number and 2-digits reprenting the year. [Henrik: Why is that necessary?]
  
-For example: ``DIA000001/06`` means the first person to Log in and apply is for Diploma in Accounting and is applying in the 2006/2007 session.
+For example: ``DIA000001/06`` means the first person to log in is for Diploma in Accounting and is applying in the 2006/2007 session.
 
 
@@ -275,19 +275,5 @@
 --------------
 
-The portal will be delivered with infrastructure data. Faculties, Departments, Course Lists, Study Programmes and Hostel data are already imported. Specific roles can be hierarchically assigned to edit or add infrastructure data (see also VIII Portal Roles).
-
-The portal content types are (not yet all attributes defined):
-
-::
-
- Student:         see Clearance
- Faculty:         Description
- Department:      Description
- Course:          Decription, Course Number 
- Study Programme: List of Courses 
- Hall:            Hall Name
- Block:           Block or Section Name
- Room:            Room Number
- Bed:             Room Letter
+(description of portal content types is forthcoming)
 
 
@@ -397,6 +383,5 @@
 +++++++++++++++++++++++
 
-The Department Manager is the superviser of the Course Adviser und the Lecturers. The DM will manage the content provided by the department (staff list, publication lists, etc). He/She can assign local roles (CA and L) within his/her department.
-At the current stage the local DM role is not needed.
+The Department Manager is the superviser of the Course Adviser und the Lecturers. The DM will manage the content provided by the department (staff list, publication lists, etc). He/She can assign local roles (CA and L) within his/her department. At the current stage the local DM role is not needed.
 
 Course Adviser (CA)