Index: /waeup_doc/MainProcesses.html
===================================================================
--- /waeup_doc/MainProcesses.html	(revision 253)
+++ /waeup_doc/MainProcesses.html	(revision 254)
@@ -494,5 +494,5 @@
 <div class="section">
 <h1><a id="ii-returning-students" name="ii-returning-students">II Returning Students</a></h1>
-<p>Returning Students proceed with the above described admission and registration process at Step 11 (Hostel Allocation). They log in with their Matriculation Number and their Password (Step R1). Before they can apply for accommodation or register new courses their previous session result must have been uploaded online by the Course Adviser (Step R2). Only Categories A (passed all courses) and B (passed some but have some carryovers) are eligible to register for a new level in the new session and also to apply for accommodation. The students placed in Category C are studnets that just enough credits to remain in the faculty and repeat the Level (probation). They are allowed to register for the same Level but not to apply for accomodation. The students placed in Category D or higher are either expected to withdraw from the university or been allowed to probate after consulting respective authorities. The latter requires portal manager validation. [Henrik: As far as I see these are only students in Category F. More information is needed to implement this feature.]</p>
+<p>Returning Students proceed with the above described admission and registration process at Step 11 (Hostel Allocation). They log in with their Matriculation Number and their Password (Step R1). Before they can apply for accommodation or register new courses their previous session result must have been uploaded online by the Course Adviser (Step R2). Only Categories A (passed all courses) and B (passed some but have some carryovers) are eligible to register for a new level in the new session and also to apply for accommodation. The students placed in Category C are students that have just enough credits to remain in the faculty and repeat the level (probation). They are allowed to register for the same level but not to apply for accomodation. The students placed in Category D or higher are either expected to withdraw from the university or been allowed to probate after consulting respective authorities. The latter requires portal manager validation. [Henrik: As far as I see these are only students in Category F. More information is needed to implement this feature.]</p>
 <p>The students print out the <em>Sessional Result Slip</em>. A Student is not allowed to see his scores but rather the grade and Sessional GPA.  The Result Slip however also shows the student's name, matric number, registration number, course of study, faculty, session and level.</p>
 <ul class="simple">
@@ -514,5 +514,5 @@
 <div class="section">
 <h1><a id="v-portal-setup" name="v-portal-setup">V Portal Setup</a></h1>
-<p>(description of portal content types is forthcoming)</p>
+<p>(description of portal content types will follow)</p>
 </div>
 <div class="section">
Index: /waeup_doc/MainProcesses.rst
===================================================================
--- /waeup_doc/MainProcesses.rst	(revision 253)
+++ /waeup_doc/MainProcesses.rst	(revision 254)
@@ -248,5 +248,5 @@
 ---------------------
 
-Returning Students proceed with the above described admission and registration process at Step 11 (Hostel Allocation). They log in with their Matriculation Number and their Password (Step R1). Before they can apply for accommodation or register new courses their previous session result must have been uploaded online by the Course Adviser (Step R2). Only Categories A (passed all courses) and B (passed some but have some carryovers) are eligible to register for a new level in the new session and also to apply for accommodation. The students placed in Category C are studnets that just enough credits to remain in the faculty and repeat the Level (probation). They are allowed to register for the same Level but not to apply for accomodation. The students placed in Category D or higher are either expected to withdraw from the university or been allowed to probate after consulting respective authorities. The latter requires portal manager validation. [Henrik: As far as I see these are only students in Category F. More information is needed to implement this feature.]
+Returning Students proceed with the above described admission and registration process at Step 11 (Hostel Allocation). They log in with their Matriculation Number and their Password (Step R1). Before they can apply for accommodation or register new courses their previous session result must have been uploaded online by the Course Adviser (Step R2). Only Categories A (passed all courses) and B (passed some but have some carryovers) are eligible to register for a new level in the new session and also to apply for accommodation. The students placed in Category C are students that have just enough credits to remain in the faculty and repeat the level (probation). They are allowed to register for the same level but not to apply for accomodation. The students placed in Category D or higher are either expected to withdraw from the university or been allowed to probate after consulting respective authorities. The latter requires portal manager validation. [Henrik: As far as I see these are only students in Category F. More information is needed to implement this feature.]
 
 The students print out the *Sessional Result Slip*. A Student is not allowed to see his scores but rather the grade and Sessional GPA.  The Result Slip however also shows the student's name, matric number, registration number, course of study, faculty, session and level. 
@@ -275,5 +275,5 @@
 --------------
 
-(description of portal content types is forthcoming)
+(description of portal content types will follow)
 
 